
DiaryNotePage = class( Turbine.UI.Label );

function DiaryNotePage:Constructor(x, y, w, h)
	Turbine.UI.Label.Constructor( self );
	self:SetPosition( x, y );
	self:SetSize(w, h);
	self:SetMouseVisible( false );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	

	self:BuildComponents();
end

function DiaryNotePage:BuildComponents()
	local titleLabel = Turbine.UI.Label();
	titleLabel:SetParent( self );
	titleLabel:SetPosition( 15, 15 );
	titleLabel:SetSize(200, 24);
	titleLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );	
	titleLabel:SetFont( Turbine.UI.Lotro.Font.BookAntiquaBold24);
	titleLabel:SetForeColor( Turbine.UI.Color(0,0,0) );
	titleLabel:SetText( _("DIA_NOTESTITLE") );	
	titleLabel:SetMouseVisible( false );
	local back1Area = Turbine.UI.Label();
	back1Area:SetParent( self );
	back1Area:SetPosition( 17, 45 );
	back1Area:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/textarea2.tga" );
	back1Area:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	back1Area:SetSize(300, 500 );	
	back1Area:SetForeColor( Turbine.UI.Color(0,0,0) );	
	back1Area:SetMouseVisible( false );

	self.textArea = Turbine.UI.TextBox();
	self.textArea:SetParent( back1Area );
	self.textArea:SetPosition( 5, 5 );
	self.textArea:SetSize( back1Area:GetWidth()-10, back1Area:GetHeight()-10 );	
	self.textArea:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	self.textArea:SetForeColor( Turbine.UI.Color(0,0,0) );
	local scrollBar1 = Turbine.UI.Lotro.ScrollBar();
    scrollBar1:SetOrientation( Turbine.UI.Orientation.Vertical );
    scrollBar1:SetParent( self );
    scrollBar1:SetPosition( back1Area:GetLeft()+back1Area:GetWidth(), back1Area:GetTop() );
    scrollBar1:SetSize( 10, self.textArea:GetHeight() );
	self.textArea:SetVerticalScrollBar( scrollBar1 );
	self.textArea:SetText(Preferences.notes1);
end
