
DiaryTitlePage = class( Turbine.UI.Label );

function DiaryTitlePage:Constructor(x, y, w, h)
	Turbine.UI.Label.Constructor( self );
	self:SetPosition( x, y );
	self:SetSize(w, h);
	self:SetMouseVisible( false );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	

	self:BuildComponents();
end

function DiaryTitlePage:BuildComponents()
	
	local titleLabel = Turbine.UI.Label();
	titleLabel:SetParent( self );
	titleLabel:SetPosition( 0, 160 );
	titleLabel:SetSize(self:GetWidth(), 60);
	titleLabel:SetMouseVisible( false );
	titleLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	titleLabel:SetFont( Turbine.UI.Lotro.Font.TrajanProBold30);
	titleLabel:SetForeColor( Turbine.UI.Color(0,0,0) );
	titleLabel:SetText( _("DIA_TITLE") );
	
	local titleLabel2 = Turbine.UI.Label();
	titleLabel2:SetParent( self );
	titleLabel2:SetPosition( 0, 240 );
	titleLabel2:SetSize(self:GetWidth(), 24);
	titleLabel2:SetMouseVisible( false );
	titleLabel2:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	titleLabel2:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	titleLabel2:SetFont( Turbine.UI.Lotro.Font.BookAntiqua22);
	titleLabel2:SetForeColor( Turbine.UI.Color(0,0,0) );
	titleLabel2:SetText( _("BY").." "..Turbine.Gameplay.LocalPlayer.GetInstance():GetName() );	
	
	local titlePictureLabel = Turbine.UI.Label();
	titlePictureLabel:SetParent( self );
	titlePictureLabel:SetPosition( (self:GetWidth()-265)/2, 425 );
	titlePictureLabel:SetSize(265, 102);
	titlePictureLabel:SetMouseVisible( false );
	titlePictureLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	titlePictureLabel:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/diary_title.tga" );
	
end
