MenuButton = class( Turbine.UI.Label );

function MenuButton:Constructor(background)	  	
	Turbine.UI.Label.Constructor( self );    	
	self.counter = 0;
	self:SetSize( 31, 31 );
	
	self.backLabel = Turbine.UI.Label();
	self.backLabel:SetParent( self );
	self.backLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.backLabel:SetPosition( 1, 1 );
	self.backLabel:SetSize(27, 27);
	self.backLabel:SetBackground(background);
	self.backLabel:SetMouseVisible( false );	
	
	self.alert = Turbine.UI.Label();
	self.alert:SetParent( self );
	self.alert:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.alert:SetSize(14, 14);
	self.alert:SetPosition( self:GetWidth()-14, self:GetHeight()-14 );
	self.alert:SetBackground("WalmPlugins/YourOwnAdventures/pictures/launcher/alert.tga");
	self.alert:SetMouseVisible( false );				
	self.alert:SetZOrder( self.backLabel:GetZOrder()+1 );	
	
	self.alertCounter = Turbine.UI.Label();	
	self.alertCounter:SetParent( self.alert );
	self.alertCounter:SetPosition(0, 0);		
	self.alertCounter:SetSize(14, 14);
	self.alertCounter:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.alertCounter:SetMouseVisible( false );			
	self.alertCounter:SetForeColor(Turbine.UI.Color( 0, 0, 0));
	self.alertCounter:SetZOrder( self.alert:GetZOrder()+1 );	
	
	
	self:RemoveAlert();
end

function MenuButton:AddCounter(val)
	if(type(val)~="number") then
		val = 1;
	end
	self.counter = self.counter + val;
	if(self.counter<10) then
		self.alertCounter:SetText(self.counter);	
	else
		self.alertCounter:SetText("+");	
	end
	self.alert:SetVisible(true);
end

function MenuButton:RemoveAlert()
	self.counter = 0;
	self.alert:SetVisible(false);
end