
table.insert(ADVENTURES, {
	title = TRAD("Step 1 : Comment traduire une aventure ?", "Step 1 : How translate an adventure ?");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH1"; -- mendatory ; unique !!! (used for the saves)
	language = "ALL"; -- supports "FR", "EN"
	author = "Walm";
	tech = true;
	canRestart = true;
	description = TRAD("Script de test pour montrer comment faire des aventures traduites.\nVous pouvez utiliser la méthode TRAD pour traduire tous les textes de vos aventures", "Test script for translated adventures.\nYou can use the TRAD method to translate all your adventures.");
	steps = {	
		["START"] = {
			objectif = TRAD("Trouvez et ciblez Bill Boisderose (Maître des écuries de Bree)", "Find and target Bill Rosewood (Steed master at Bree West)");
			steptype = "TARGET"; -- the player have to select a target named in the tracker property
			tracker = TRAD("Bill Boisderose", "Bill Rosewood"); -- string or list of strings
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Bonjour l'ami !", "\<<rgb=#00FF00>Bill Rosewood\></rgb> Hey my friend !");
				pushSplashMessage = TRAD("Bill vous sourit", "Bill is smilling");
				giveItem = "WALM-TECH1_ITEM0";
			};
			nextStep = "END";
		};	
	};
});
ITEMS["WALM-TECH1_ITEM0"] = { -- unique id
	name = TRAD("Dictionnaire FR/EN", "EN/FR dictionnary");
	picture = "YourOwnAdventuresScripts/testpicts/item_book.jpg"; -- 32px x 32px
	description = TRAD("Pour les monolingues", "For monolinguals");
	onLook={
		pushSplashMessage = TRAD("Où sont mes lunettes ?", "Where are my glasses ?");			
	};
};

table.insert(ADVENTURES, {
	title = TRAD("Step 2 : Dialogue de sourd avec Bill", "Step 2 : Talking to Bill Rosewood");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH2"; -- mendatory ; unique !!! (used for the saves)
	requireCompletion = "WALM-TECH1";
	canRestart = true;
	version = "1.0";
	language = "ALL"; -- supports "FR", "EN"
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest"; -- show this message (and URL) when a player wants to share the quest
	levelMin = 10;
	tech = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga"; -- you can create your own banner for the quest selector dialog
	description = TRAD("Script de test pour tester l'arbre de dialogue :\nsteptype = \"TALKTREE\".", "Test script about talk trees :\nsteptype = \"TALKTREE\".");
	steps = {		
		["START"] = {
			objectif = TRAD("Selectionnez Bill et faites le avouer !", "Select French Bill and find an issue !");
			steptype = "TALKTREE";
			tracker = TRAD("Bill Boisderose", "Bill Rosewood");
			dials = {
				["START"] = {
					say="Vous savez, \"|PLAYER|_TRUC\" moi je ne crois pas qu'il y ait de bonne ou de mauvaise situation.\n\nMoi, si je devais résumer ma vie aujourd'hui avec vous, je dirais que c'est d'abord des rencontres.\nDes gens qui m'ont tendu la main, peut-être à un moment où je ne pouvais pas, où j'étais seul chez moi.\nEt c'est assez curieux de se dire que les hasards, les rencontres forgent une destinée... Parce que quand on a le goût de la chose, quand on a le goût de la chose bien faite, le beau geste, parfois on ne trouve pas l'interlocuteur en face je dirais, le miroir qui vous aide à avancer. Alors ça n'est pas mon cas, comme je disais là, puisque moi au contraire, j'ai pu : et je dis merci à la vie, je lui dis merci, je chante la vie, je danse la vie... je ne suis qu'amour ! Et finalement, quand beaucoup de gens aujourd'hui me disent « Mais comment fais-tu pour avoir cette humanité ? », et bien je leur réponds très simplement, je leur dis que c'est ce goût de l'amour ce goût donc qui m'a poussé aujourd'hui à entreprendre une construction mécanique, mais demain qui sait ? Peut-être simplement à me mettre au service de la communauté, à faire le don, le don de soi...";
					answers = {
						{pos=1, say=TRAD("*Donner un TBD d'or pour le faire avouer*","*Give a golden TBD*"); nextStep="END"; condition={requireItem = "WALM-TECH8_ITEM3";}; pushSystemChat = "<rgb=#FF0000>Merci !!!!!"; pushSplashMessage = "BRAVO";	pushDiaryMessage = TRAD("J'ai fini par le soudoyer avec un simple TBD d'or !", "I finally gave him a golden TBD...");},
						{pos=2, say=TRAD("*Donner un TBD d'or pour le faire avouer*","*Give a golden TBD*"); nextStep="END"; condition={requireItem = "WALM-TECH8_ITEM3"; requireDeed="UNKNOWN_DEED";}; hideIfRequirementsFalse=true; pushSystemChat = "<rgb=#FF0000>Merci !!!!!"; pushSplashMessage = "BRAVO";	pushDiaryMessage =TRAD("J'ai fini par le soudoyer avec un simple TBD d'or !", "I finally gave him a golden TBD...");},
						{pos=3, say="J’voulais dire \"Bande de chacals, vous allez crever comme des chacals\". Mais ça faisait deux fois \"chacals\"... Quoi, on dit des \"chacaux\" ?"; nextDial="2"; pushSystemChat = "<rgb=#FF0000>Même pas drôle !"; pushSplashMessage = {"BIM !"};	pushDiaryMessage = "Bande de chacals !";},
						{pos=4, say="J’voulais dire \"Ce tombeau sera VOOOOTRE tombeau\". Mais ça faisait deux fois \"tombeau\"..."; nextDial="3"},
						{pos=5, say="Moi, c'est |PLAYER| !"; pushSystemChat = "<rgb=#FF0000>Bonjour |PLAYER| !"; pushSplashMessage = "Bonjour |PLAYER| !";	pushDiaryMessage = "Bonjour |PLAYER| !"; nextDial="START";},
						{pos=6, say="Non rien..."; nextStep = "END";}
					};
				},
				["2"] = {
					say="\"Et le mec, il lui dit c'est le phare à \"On\", parce qu'il s'appelle \"On\", le mec… Le mec, il s'appelle \"On\", et \"On\" il a un phare, c'est son appartenance. Il lui dit c'est le phare à \"On\" ... Le mec ! Il s'appelle \"On\" ! Il lui dit c'est son phare ! Et bah le Pharaon ! Qui est comme le chef de nous !\"";
					answers = {
						{pos=1, say="Viens me le dire de profil si t'es un homme!"; nextStep="END";},
						{pos=2, say="J'ai dit que \"Ce tombeau sera VOOOOTRE tombeau\". Mais ça faisait deux fois \"tombeau\"..."; nextDial="3"; pushSystemChat = "<rgb=#FF0000>Un tombeau ?";  pushSplashMessage = {"BAM !"};	pushDiaryMessage = "Un tombeau ?! !";},
						{pos=2, say=TRAD("Tu es lourd !","You're becoming a drag !"); nextStep="FAIL"},
						{pos=3, say=TRAD("Non rien...", "Nothing..."); nextStep = "END";}
					};
				},
				["3"] = {
					say=TRAD("J'aime pas les tombeaux !", "I hate tombs !");
					answers = {
						{pos=1, say=TRAD("Et si on reprend depuis le début  ?","Let's start again ?"); nextDial="START";},
						--{pos=3, say="Au revoir..."; nextStep = "END";}
					};
				};
			},
			onCompletion= {
				pushSystemChat = TRAD("<rgb=#FF0000><Bill> Au secours !", "<rgb=#FF0000><Bill> Help me... !");
				pushSplashMessage = TRAD("Bill abandonne.", "Bill gives up.");	
			};
		};
	};
});

table.insert(ADVENTURES, {
	title = TRAD("Step 3 : Shi Fu Mi avec Bill Boisderose","Step 3 : Rock, Paper, Scissors with Bill");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH3";
	requireCompletion = {"WALM-TECH1","WALM-TECH2"};
	version = "1.0";
	language = "ALL"; 
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest";
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga"; 
	description = TRAD("Script de test pour tester les compétances personnalisées.\nsteptype = \"TARGET\"", "Test script for custom actions with NPC.\nsteptype = \"TARGET\"");
	steps = {	
		["START"] = {
			objectif = TRAD("Trouvez et ciblez Bill Boisderose (Maître des écuries de Bree)", "Find and target Bill Rosewood (Steed master at Bree West)");
			steptype = "TARGET";
			tracker = {TRAD("Bill Boisderose", "Bill Rosewood"),"Four"};
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Bonjour l'ami. Une petite partie de Shi-Fu-Mi ?","\<<rgb=#00FF00>Bill Rosewood\></rgb> Hello my friend. Would you play at Rock, Paper, Scissors ?");
				pushSplashMessage = TRAD("Bill vous propose un Shi Fu Mi", "Bill suggests a Rock, Paper, Scissors"); 
			};
			nextStep = "2"; 
		},	
		["2"] = {
			objectif = TRAD("Gagnez au ShiFuMi", "Win at Rock, Paper, Scissors");
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_pierre.jpg"; -- 32x32
					succesLuck = 50; -- max 100
					cooldown = 10;
					name = TRAD("Pierre ?", "Rock ?");
					description = TRAD("Vous gagnez contre des ciseaux...\nMais perdez contre une feuille...", "You win against Scissors...\nBut loose against Paper...");
					successCompletion = {
						pushSystemChat =  TRAD("<rgb=#00FF00>Vous montrez une pierre...\nBill montre des ciseaux...\nBRAVO !","<rgb=#00FF00>You show a Rock...\nBill shows Scissors...\nCONGRATS !");
						pushSplashMessage = TRAD("Vous montrez une pierre...\nBill montre des ciseaux...\nBRAVO !","You show a Rock...\nBill shows Scissors...\nCONGRATS !");
						nextStep = "END";
					},
					failedCompletion = {
						pushSystemChat = TRAD("<rgb=#FF0000>Vous montrez une pierre...\nBill montre une feuille...\nPERDU !","<rgb=#FF0000>You show a Rock...\nBill shows a Paper...\nYOU LOOSE !");
						pushSplashMessage = TRAD("Vous montrez une pierre...\nBill montre une feuille...\nPERDU !","You show a Rock...\nBill shows a Paper...\nYOU LOOSE !");
					},
				},
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_papier.jpg"; -- 32x32
					succesLuck = 33; -- max 100
					cooldown = 7;
					name = TRAD("Feuille ?", "Paper ?");
					description = TRAD("Vous gagnez contre une pierre...\nMais perdez contre des ciseaux...", "You win against Rocks...\nBut loose against Scissors...");
					successCompletion = {
						pushSystemChat =  TRAD("<rgb=#00FF00>Vous montrez une feuille...\nBill montre une pierre...\nBRAVO !","<rgb=#00FF00>You show a Paper...\nBill shows a Rock...\nCONGRATS !");
						pushSplashMessage = TRAD("Vous montrez une feuille...\nBill montre une pierre...\nBRAVO !","You show a Paper...\nBill shows a Rock...\nCONGRATS !");
						nextStep = "END";
					},
					failedCompletion = {
						pushSystemChat =  TRAD("<rgb=#FF0000>Vous montrez une feuille...\nBill montre des ciseaux...\nPERDU !","<rgb=#FF0000>You show a Paper...\nBill shows  Scissors...\nYOU LOOSE !");
						pushSplashMessage = TRAD("Vous montrez une feuille...\nBill montre des ciseaux...\nPERDU !","You show a Paper...\nBill shows  Scissors...\nYOU LOOSE !");
					},
				},
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_ciseaux.jpg"; -- 32x32
					succesLuck = 10; -- max 100
					name = TRAD("Ciseaux ?", "Scissors ?");
					description = TRAD("Vous gagnez contre une feuille...\nMais perdez contre une pierre...", "You win against Paper...\nBut loose against Rock...");				
					successCompletion = {
						pushSystemChat =  TRAD("<rgb=#00FF00>Vous montrez des ciseaux...\nBill montre une feuille...\nBRAVO !","<rgb=#00FF00>You show Scissors...\nBill shows a Paper...\nCONGRATS !");
						pushSplashMessage = TRAD("Vous montrez des ciseaux...\nBill montre une feuille...\nBRAVO !","You show Scissors...\nBill shows a Paper...\nCONGRATS !");						
						nextStep = "END";
					},
					failedCompletion = {
						pushSystemChat =  TRAD("<rgb=#FF0000>Vous montrez des ciseaux...\nBill montre une pierre...\nPERDU !","<rgb=#FF0000>You show Scissors...\nBill shows  a Rock...\nYOU LOOSE !");
						pushSplashMessage = TRAD("Vous montrez des ciseaux...\nBill montre une pierre...\nPERDU !","You show Scissors...\nBill shows a Rock...\nYOU LOOSE !");					
					},
				},
			},
		};	
	};
});

table.insert(ADVENTURES, {
	title = TRAD("Step 4 : Enigme contre la montre", "Step 4 : Riddle against time");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH4";
	requireCompletion = {"WALM-TECH1","WALM-TECH2","WALM-TECH3"};
	version = "1.0";
	language = "ALL";
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest";
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga";
	description = TRAD("Script de test pour tester les étapes avec timer.\nAjouter dans une étape :timer = {\n    seconds = 60; -- secondes max 5999\n    pushSplashMessage = \"Too late !\";\n    nextStep = \"FAIL\",\n}","Script to test timers.\nJust add in a step :\ntimer = {\n    seconds = 60; -- max 5999\n    pushSplashMessage = \"Too late !\";\n    nextStep = \"FAIL\",\n}");
	steps = {	
		["START"] = {
			objectif = TRAD("Trouvez et ciblez Bill Boisderose (Maître des écuries de Bree)","Find and target Bill Rosewood");
			steptype = "TARGET";
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion= {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Bonjour l'ami. Voici mon énigme, et tu as 60 secondes pour y répondre ! On me voit au début de la nuit, mais jamais le jour ; et uniquement deux fois dans l'année. Que suis-je ?", "\<<rgb=#00FF00>Bill Rosewood\></rgb> Hello my friend. Here is my riddle, and you have 60 secondes to answer ! My neighbour had twenty cows. The orcs came and killed all of them but two. How many cows does he have left ?");
				pushSplashMessage = TRAD("Bill vous propose une énigme","Bill ask you a riddle");
			};
			nextStep = "2";
		},	
		["2"] = {
			objectif = TRAD("Répondez à l'énigme dans le chat \"parler\"", "Write the answer in the \"Say\" chat");
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Say;
			tracker = {"'n'", "'2'", "two", "Two"} ;
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> : Bravo !", "\<<rgb=#00FF00>Bill Rosewood\></rgb> : Congrats !");
				pushSplashMessage = TRAD("BRAVO", "CONGRATS");	
			 };
			nextStep = "3";
			timer = {
				seconds = 60;
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> : Perdu ! Ha ha, trop lent !", "\<<rgb=#00FF00>Bill Rosewood\></rgb> : You loose, too late !");
				pushSplashMessage = TRAD("Bill se moque de vous !", "TOO LATE !");		
				nextStep = "FAIL",				
			};
		},
		["3"] = {
			objectif = TRAD("Trouvez et ciblez Bill Boisderose (Maître des écuries de Bree)","Find and target Bill Rosewood");
			steptype = "TARGET";
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion= {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> A bientôt !","\<<rgb=#00FF00>Bill Rosewood\></rgb> See ya later !");
				cancelTimer = true;
			};
			nextStep = "END";
		},	
	};
});

table.insert(ADVENTURES, {
	title = TRAD("Step 5 : Objectifs parrallèles","Step 5 : Multi-steps");
	family = TRAD("Tests techniques", "technical tests");
	requireCompletion = "WALM-TECH4";
	requireDeed = "WALM-TECH4";
	requireSkill = "WALM-TECH4";
	uniqueID = "WALM-TECH5";
	version = "1.0";
	language = "ALL"; 
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest";
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga"; 
	description = TRAD("Script de test pour tester les listes de steps. Il est possible de proposer au joueurs plusieurs objectifs en même temps. Il est possible de demander au joueur de terminer tous les objectifs (ET), ou seulement certains (OU).\nextStep=\"A\"; -- 1 objective\nnextStep={\"A\",\"B\"}; -- Complete A OR B\nnextStep={{\"A\",\"B\"} , {\"C\",\"D\"}}; -- Complete (A OR B) AND (C OR D)","Script to test multi-steps. It is possible to give to the player more than one objective at he same time. The player can accomplish all (AND), or only one (OR).\n\nextStep=\"A\"; -- 1 objective\nnextStep={\"A\",\"B\"}; -- Complete A OR B\nnextStep={{\"A\",\"B\"} , {\"C\",\"D\"}}; -- Complete (A OR B) AND (C OR D)");
	steps = {	
		["START"] = {
			objectif = TRAD("Trouvez et ciblez Bill Boisderose (Maître des écuries de Bree)","Find and target Bill Rosewood");
			steptype = "TARGET"; 
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Bonjour l'ami. Vigile Cardon me doit de l'argent et ne veut pas me rembourser. Allez le voir pour récupérer mon dû. A vous de voir si vous voulez employer la manière forte ou la douce...", "\<<rgb=#00FF00>Bill Rosewood\></rgb> Hey my friend. Vigil Cardon owes me few golds and doesn't want repay. Please try to get back my money... in any way !");
			};
			nextStep = {"1"};
		},
		["1"] = {
			objectif = TRAD("Trouvez et ciblez Vigile Cardon", "Find and target Watchman Cardoon");
			steptype = "TARGET";
			tracker = {"Vigile Cardon", "Watchman Cardoon"}; 
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Vigile Cardon\></rgb>JE NE PAYERAI JAMAIS !","\<<rgb=#00FF00>Watchman Cardoon\></rgb> I WILL NOT PAY !");
				pushSplashMessage = TRAD("Il ne veut rien entendre...\nManière douce ou dure...\nA vous de voir.","He will not cooperate...\nBill said \"in any way\"...");
			};
			nextStep = {{"2", "3"}};
		},			
		["2"] = {
			objectif = TRAD("Cas de deux étapes de type OU:\nEmployez la manière douce (/bise)","First case : 2 \"OR\" steps:\nTry the soft way (/kiss)");
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Emote;
			tracker = TRAD("Vous embrassez ", "You kiss ");
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Vigile Cardon\></rgb> Tu as de beaux yeux... Okay, je vais payer !","\<<rgb=#00FF00>Watchman Cardoon\></rgb> So have so sweet eyes... Okay, I will pay !");
				pushSplashMessage = TRAD("Cardon tombe sous votre charme !","Cardoon looks in love !");
			};
			nextStep = "2B",
		},
		["3"] = {
			objectif = TRAD("Employez la manière forte", "Try the heavy way");
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_pierre.jpg"; 
					name = TRAD("Menacer", "Intimidate");
					command = TRAD("/gronder", "/roar");
					successCompletion = {
						pushSystemChat = TRAD("\<<rgb=#00FF00>Vigile Cardon\></rgb> Mais ?! Mais ?! Bon, okay, je vais payer !", "\<<rgb=#00FF00>Watchman Cardoon\></rgb> What ? Okay, I will pay !");
						pushSplashMessage = TRAD("Vous montrez un poing féroce !", "You show a threatening fist !");
						nextStep = "3B";
					}
				}
			}
		},
		["3B"] = {
			objectif = TRAD("Retournez voir Bill Boisderose","Go back talking with Bill Rosewood");
			steptype = "TARGET";
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Merci l'ami. La violence portera toujours ses fruits !","\<<rgb=#00FF00>Bill Rosewood\></rgb> Thanks my friend. The violence always pays dividends !");
			};
			nextStep = {{"A", "B", "C", "D"}}; 
		},			
		["2B"] = {
			objectif = TRAD("Retournez voir Bill Boisderose","Go back talking with Bill Rosewood");
			steptype = "TARGET"; 
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Merci l'ami. L'amour portera toujours ses fruits !","\<<rgb=#00FF00>Bill Boisderose\></rgb> Thanks my friend. Love always bears fruit !");
			};
			nextStep = {{"A", "B", "C", "D"}}; 
		},	
		["A"] = {
			objectif = TRAD("Objectifs en OU, mais avec seulement 1 étape qui débloque la suite :\nInterrogez Hazel Kenton.", "OR objectives, but only one will validate the step :\nQuestion Hazel Kenton.");
			steptype = "TARGET"; 
			tracker = "Hazel Kenton"; 
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Hazel Kenton\></rgb> C'est pas moi !", "<rgb=#00FF00>\<Hazel Kenton\></rgb> I'm innocent !");
				pushSplashMessage = TRAD("Hazel semble innocent !", "Hazel looks innocent !");
			};
		},			
		["B"] = {
			objectif = TRAD("Interrogez André Duchêne.", "Question Andrew Oakhurst");
			steptype = "TARGET"; 
			tracker = TRAD("André Duchêne", "Andrew Oakhurst"); 
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<André Duchêne\></rgb> Non coupable !", "<rgb=#00FF00>\<Andrew Oakhurst\></rgb> Not guilty !");
				pushSplashMessage = TRAD("André semble innocent !", "Andrew looks innocent !");
			};
		},	
		["C"] = {
			objectif = TRAD("Interrogez Harry Chèvrefeuille.", "Question Harry Goatleaf");
			steptype = "TARGET"; 
			tracker = TRAD("Harry Chèvrefeuille", "Harry Goatleaf");
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Harry Chèvrefeuille\></rgb> Bon, okay, c'est moi... !", "<rgb=#00FF00>\<Harry Goatleaf\></rgb> Okay, it's me... !");
				pushSplashMessage = TRAD("Harry a tout avoué !", "Harry confess everything !");
			};
			nextStep = "100";
		},	
		["D"] = {
			objectif = TRAD("Interrogez le vigile Cardon.", "Question Watchman Cardoon");
			steptype = "TARGET";
			tracker = TRAD("Vigile Cardon", "Watchman Cardoon");
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Vigile Cardon\></rgb> J'étais même pas là !", "<rgb=#00FF00>\<Watchman Cardoon\></rgb> I was not there !");
				pushSplashMessage = TRAD("Vigile Cardon semble innocent !", "Cardoon looks innocent !");
			};
		},			
		["100"] = {
			objectif = TRAD("Cas de combinaisons de ET et de OU:\nRetournez voir Bill Boisderose", "Case of combinaison of AND and OR:\nGo back talk to Bill Rosewood");
			steptype = "TARGET"; 
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Merci l'ami. J'irais casser la gueule à Harry", "\<<rgb=#00FF00>Bill Rosewood\></rgb> Thanks my friend. I will kick Harry's ass.");
			};
			nextStep = {{"Hazel", "André"}, {"Vieux", "Bert"}};
		},	
		["Hazel"] = {
			objectif = TRAD("Parler à Hazel Kenton", "Talk to Hazel Kenton"); steptype = "TARGET"; tracker = "Hazel Kenton"; onCompletion={pushSplashMessage = TRAD("C'est Hakel", "This is Hakel")}; nextStep = "END";
		},
		["André"] = {
			objectif = TRAD("Parler à André Duchêne", "Talk to Andrew Oakhurst"); steptype = "TARGET"; tracker = TRAD("André Duchêne", "Andrew Oakhurst"); onCompletion={pushSplashMessage = TRAD("C'est André Duchêne","This is Andrew Oakhurst")}; nextStep = "END";
		},
		["Vieux"] = {
			objectif = TRAD("Parler à Vigile Cardon", "Talk to Watchman Cardoon"); steptype = "TARGET"; tracker = TRAD("Vigile Cardon.", "Watchman Cardoon"); onCompletion={pushSplashMessage = TRAD("C'est Vigile Cardon","This is Watchman Cardoon")}; nextStep = "END";
		},
		["Bert"] = {
			objectif = TRAD("Parler à Bert barteleur", "Talk to Bert Bartleby"); steptype = "TARGET"; tracker = TRAD("Bert Barteleur","Bert Bartleby"); onCompletion={pushSplashMessage = TRAD("C'est Bert","This is Bert Bartleby")}; nextStep = "END";
		}		
	};
});


table.insert(ADVENTURES, {
	title = TRAD("Step 6 : Achat", "Step 6 : Buy");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH6"; 
	version = "1.0";
	language = "ALL"; 
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest"; 
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga";
	description = TRAD("Script de test pour tester un objectif demandant au joueur de récupérer un objet à un PNJ.\nOn utilise un type d'étape CHATLOG.", "In this test script, the objective is to buy a specific item from a NPC.\nWe use CHATLOG steptype.");
	steps = {		
		["START"] = {
			objectif = TRAD("Acheter une ration fade à n'importe quel vendeur de la Terre du Milieu", "Buy a Dry rations from any grocer.");
			steptype = "CHATLOG";
			chat = Turbine.ChatType.SelfLoot;
			tracker = TRAD("Ration fade", "Dry Rations");
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>Vous voilà riche d'une ration fade","<rgb=#00FF00>You now have a dry ration");
				pushSplashMessage = TRAD("Merci pour cet achat !", "Thanks for this purchase !");	
			};				
			nextStep = "END",
		}
	};
});
table.insert(ADVENTURES, {
	title = TRAD("Step 7 : Gestion d'inventaire", "Step 7 : Inventory management");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH8"; 
	version = "1.0";
	language = "ALL";
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest"; 
	levelMin = 10;
	size = 1;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga"; 
	description = "Script de test pour tester la gestion d'inventaire dans les étapes";
	steps = {		
		["START"] = {
			objectif = TRAD("Parlez à Bill Boisderose.", "Talk to Bill Rosewood.");
			steptype = "TARGET";
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Bill Boisderose\></rgb> Ha mon ami ! J'ai trouvé cet objet. Je n'en avais jamais vu auparavent. Qu'est-ce, me diriez vous ? Et bien figurez vous qu'après une minutieuse enquête, cet chose semble apparaitre et disparaitre au fil du temps. Mais le forgeron du coin, Flint Tranchechêne, me dit qu'il est possible d'en faire un objet rare en le recouvrant d'or fin ! Quelle idée ! Hey, et si vous alliez voir ca avec lui ? Tenez, le voici !\n<rgb=#00FF00>\<Bill Boisderose\></rgb> Ha, et ce vieux roublard ne voudra pas travailler gratis... donnez lui donc cet autre TBD en guise de paiement. Je les mets ensemble dans ce coffret pour ne pas hatiser la convoitise.", "<rgb=#00FF00>\<Bill Rosewood\></rgb> Haaa, my friend ! I found this unknown item. A TBD. I have nothing to deal with it, so, maybe, you can show that to Flint Oakhewer, the blacksmith. Give him one, and keep the second.");
				pushSplashMessage = TRAD("Bill vous donne un mystérieux coffret qui devrait contenir deux TBD.", "Bill gives you a case with TBDs inside.");		
				giveItem = "WALM-TECH8_ITEM4"; 	
			};
			nextStep = "1";
		},
		["1"] = {
			objectif = TRAD("Depuis l'inventaire, ouvrez le coffret", "From the inventory, open the box");
			steptype = "ITEMACTION";
			--tracker = "Flint Tranchechêne";
			action = "OPEN";
			item = "WALM-TECH8_ITEM4";
			nextStep = "1BIS";
		},
		["1BIS"] = {
			objectif = TRAD("Regardez 2 fois un TBD", "Look twice a TBD");
			steptype = "ITEMACTION";
			--tracker = "Flint Tranchechêne";
			action = "LOOK";
			actionCount = 2;
			item = "WALM-TECH8_ITEM1";
			nextStep = "2";
		},		
		["2"] = {
			objectif = TRAD("Parlez à Flint Tranchechêne à l'est.", "Talk to Flint Oakhewer, the blacksmith");
			steptype = "TARGET";
			tracker = TRAD("Flint Tranchechêne", "Flint Oakhewer");
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Flint Tranchechêne\></rgb> Hoooo, le beau TBD que voici ! Oui, il est possible de le plaquer d'or à partir d'un lingot ! Mais, je n'ai pas le temps.\n<rgb=#00FF00>\<Flint Tranchechêne\></rgb> Quoi ? Un autre TBD en échange d'un lingot ? Bon très bien. Tenez.", "<rgb=#00FF00>\<Flint Oakhewer\></rgb> Ooooh, this is a beautiful TBD ! I have an idea... do you want a golden TBD ? I'll swap a golden ingot for your TBD !");
				pushSplashMessage = TRAD({"Vous donnez un TBD à Flint.", "Vous recevez un lingot de la part de Flint."}, {"You give a TBD to Flint.", "Vous receive a golden ingot from Flint."});		
				removeItem = "WALM-TECH8_ITEM1";		
				giveItem = "WALM-TECH8_ITEM2";		
			};
			nextStep = {{"3B","3"}};
		},

		["3B"] = {
			objectif = TRAD("Concevez un TBD en or et montrez le à Bill (Flint peut vous conseiller)", "Make a golden TBD and show it to Bill (Flint can guide you)");
			steptype = "TARGET";
			tracker = TRAD("Flint Tranchechêne", "Flint Oakhewer");
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Flint Tranchechêne\></rgb> Vous avez un lingot et un TBD, n'est-ce pas. Regardez donc votre inventaire ! Mettez les dans chaque slot de fabrication. Les slots devraient s'activer en fonction de la capacité de l'objet à être combinés. Dès que les deux slots auront agis, utilisez le marteau, et l'affaire est jouée !", "<rgb=#00FF00>\<Flint Oakhewer\></rgb> So you have a golden ingot and a TBD, right ? Look at your inventory. Put this ingredients in each craft slots. The slots should react depending of the items inside. Then use the hammer.");
			};	
			nextStep = {{"3B","3"}};		
		},
		["3"] = {
			steptype = "TARGET";
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			successCondition = {
				requireItem = {itemid="WALM-TECH8_ITEM3", quantity=1};
				ifConditionsFailed  = {
					pushSystemChat = TRAD("<rgb=#00FF00>\<Bill Boisderose\></rgb> Hey mais il est où le TBD d'or ?", "<rgb=#00FF00>\<Bill Rosewood\></rgb> Wait... Where is the golden TBD ?");
					pushSplashMessage = TRAD("Bill veut voir un TBD d'or", "Bill wants to see a golden TBD");
				}
			};
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Bill Boisderose\></rgb> Hoooo, le beau TBD que voici ! Merci !", "<rgb=#00FF00>\<Bill Rosewood\></rgb> Whoooo, it's so beautiful ! Thanks !");
				pushSplashMessage = TRAD("Bill est heureux", "Bill is happy");		
				removeItem = "WALM-TECH8_ITEM3";	
			};
			nextStep = "END";
		}		
	};
});

table.insert(ADVENTURES, {
	title = "Step 8 : MULTI-KIIIILLLL";
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH9"; 
	version = "1.0";
	language = "ALL"; 
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest";
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga";
	description = TRAD("Script de test pour tester les objectif de tueries de masse... MULLTIIIII-KIIIIIIIIIIL !", "Script to test all kind of objectives about KILLIIIIING !");
	steps = {		
		["START"] = { 
			objectif = TRAD("Tuer 3 animaux sauvages de l'ouest de Bree", "Kill 3 wild animals on the west of Bree");
			count = 3;
			steptype = "KILL";
			tracker = {"ours", "sanglier", "Ours", "Sanglier", "Main Blanche", "du Pays de Dun", "bear", "Bear", "Splintertusk"};
			doOnEachKill = {
				{
					probability = 20;
					giveItem = "WALM-TECH8_ITEM3";
					pushSplashMessage = TRAD("Vous trouvez un TBD d'or !", "You loot a golden TBD");	
					pushSystemChat = TRAD("<rgb=#FF0000>Vous trouvez un TBD d'or ! => loot aléatoire", "<rgb=#FF0000>You found a golden TBD => Random loot");
				},	
				{
					completionIncMessage = TRAD("<rgb=#FF0000>Animaux tués : ", "<rgb=#FF0000>Wild animals killed : ");
				},	
				{
					requireItem = "WALM-TECH8_ITEM3"; 
					pushSystemChat = TRAD("<rgb=#FF00FF>Le TBD d'or brille d'un éclat morbide ...", "The golden TBD is shining...");
				}
			};
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>BRAVO", "<rgb=#00FF00>CONGRATS");
				pushSplashMessage = TRAD("BRAVO", "CONGRATS");	
			};
			nextStep = {"PEAUX", "KILL_OURS", "KILL_SANG"},
		},
		["PEAUX"] = {
			objectif = TRAD("Récupérez 3 peaux parfaites sur ces animaux", "Loot 3 perfect skins from this animals");
			count = 3;
			doNotCountKills = true;
			steptype = "KILL";
			tracker = {"ours", "sanglier", "Ours", "Sanglier", "Main Blanche", "du Pays de Dun", "bear", "Bear", "Splintertusk"};
			doOnEachKill = {
				{
					probability = 50;
					pushSplashMessage = TRAD("Vous trouvez une peau parfaite !", "You loot a perfect skin");	
					pushSystemChat = TRAD("<rgb=#FF0000>Vous trouvez une peau parfaite ! => loot aléatoire, on incrémente le compteur", "<rgb=#FF0000>You loot a perfect skin => random loot");
					completionIncCounter = 1; -- ... on compte ici ...
					completionIncMessage = TRAD("<rgb=#FF0000>Peaux trouvées : ", "<rgb=#FF0000>Skins looted : ");
				},	
				{
					requireItem = "WALM-TECH8_ITEM3"; -- TBD d'or permet donne 90% de chance d'incrementer 
					probability = 90; -- 0 to 100
					pushSplashMessage = TRAD("Vous trouvez une peau parfaite grace à TBD d'Or !", "You found a perdect skin thanks to the golden TBD");	
					pushSystemChat = TRAD("<rgb=#FF0000>Vous trouvez une peau parfaite grace à TBD d'Or ! => loot aléatoire, on incrémente le compteur", "<rgb=#FF0000>You found a perfect skin thanks to the golden TBD ! => Random loot");
					completionIncCounter = 1; -- ... et ici
					completionIncMessage = TRAD("<rgb=#FF0000>Peaux trouvées : ", "<rgb=#FF0000>Skins looted : ");
				}
			};
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>BRAVO", "<rgb=#00FF00>CONGRATS");
				pushSplashMessage = TRAD("BRAVO", "CONGRATS");		
			};
			nextStep = "END",
		},
		["KILL_OURS"] = {
			objectif = TRAD("Tuer 3 ours", "Kill 3 bears");
			count = 3;
			steptype = "KILL";
			tracker = {"ours", "Ours", "bear", "Bear", "Main Blanche"};
			doOnEachKill = {
				{
					completionIncMessage = TRAD("<rgb=#FF0000>Ours tués : ", "<rgb=#FF0000>Bears killed : ");
				}
			};	
			nextStep = "END",
		},	
		["KILL_SANG"] = {
			objectif = TRAD("Tuer 3 sangliers", "Kill 3 splintertusk");
			count = 3;
			steptype = "KILL";
			tracker = {"sanglier", "Sanglier", "Splintertusk", "du Pays de Dun"};
			doOnEachKill = {
				{
					completionIncMessage = TRAD("<rgb=#FF0000>Sangliers tués : ", "<rgb=#FF0000>Splintertusks killed : ");
				}
			};	
			nextStep = "END",
		}		
	};
});

table.insert(ADVENTURES, {
	title = TRAD("Step 9 : Il est où le |PLAYER|, il est oùùùùù ?", "Step 9 : Where are you, |PLAYER| ?");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH10";
	version = "1.0";
	language = "ALL";
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest";
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga"; 
	description = TRAD("Script de test pour tester les étapes nécessitant de connaitre la localisation du joueur", "LOTRO API do not have method to get the player location. So we use a convoluted way...");
	steps = {		
		["START"] = {
			objectif = TRAD("Rendez vous au Poney Fringuant ou sur l'estrade en face", "Go to the Prancing Pony Inn or on the theatre stage at Bree");
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
					name = TRAD("Inspecter votre carte", "Examine the map");
					description = TRAD("Cette carte indique la position du Poney Fringuant et de l'estrade qui y fait face.\nElle confirmera votre position.", "This map shows the location of the Prancing Pony In and the theatre stage.\nIt will confirm your location.");
					tracker = TRAD(" regarde sa carte, vous êtes dans ", " is looking his map. You are at ");
					validation = {"Au Poney Fringant", "The Prancing Pony", "Eriador: Bree: 29.8S, 51.5W"};
					chat = Turbine.ChatType.Emote;
					cooldown = 7;
					command = TRAD("/e regarde sa carte, vous êtes dans ;loc", "/e is looking his map. You are at ;loc");
					successCompletion = {
						pushSystemChat = TRAD("<rgb=#00FF00>Vous y êtes, bravo !", "<rgb=#00FF00>You are at the correct location, congrats !");
						pushSplashMessage = TRAD("Vous y êtes, bravo !", "You are at the correct location, congrats !");
						nextStep = "END";
					},
					failedCompletion = {
						pushSystemChat = TRAD("<rgb=#FF0000>Non, ce n'est pas le Poney Fringuant, ni l'estrade !", "<rgb=#FF0000>Noooo, this is not the good location !");
						pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit...", "Noooo, this is not the good location !");
					},
				}
			}
		};	
	};
});

table.insert(ADVENTURES, {
	title = TRAD("Step 10 : EXPLOITS", "Step 10 : ACHIEVEMENTS");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH11";
	version = "1.0";
	language = "ALL";
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest";
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga"; 
	description = TRAD("Script de tester l'obtention d'Exploits.", "Script to test all the ways to get Achievements.");
	steps = {		
		["START"] = {
			objectif = TRAD("Parlez à Bill pour choisissez l'exploit à valider !", "Talk to Bill to choose the achievement to accomplish");
			steptype = "TALKTREE";
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			dials = {
				["START"] = {
					say=TRAD("Quel exploit veux-tu ?", "Which achievement do you want ?");
					answers = {
						{pos=1, say="WALM-TECH_ACHIV_1\n"..TRAD("Exploit simple", "Simple achievement"); accomplishDeed="WALM-TECH_ACHIV_1"; nextDial="START";},
						{pos=2, say="WALM-TECH_ACHIV_0\n"..TRAD("Exploit simple caché", "Simple hidden achievement"); accomplishDeed="WALM-TECH_ACHIV_0"; nextDial="START";},
						{pos=3, say="WALM-TECH_ACHIV_2\n"..TRAD("Exploit incrémentable 5 fois", "Incremental achievement - 5 times"); accomplishDeed="WALM-TECH_ACHIV_2"; nextDial="START";},
						{pos=4, say="WALM-TECH_ACHIV_3\n"..TRAD("Exploit incrémentable caché 5 fois", "Hidden incremental achievement - 5 times"); accomplishDeed="WALM-TECH_ACHIV_3"; nextDial="START"},
						{pos=5, say=TRAD("Non aucun...", "Nothing..."); nextStep = "END";}
					};
				};
			},
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#FF0000>Et c'est la fin !", "<rgb=#FF0000> Byyyyye");
				pushSplashMessage = TRAD("Au revoir !", "Job done !");	
			};
		};
	};
});
table.insert(ADVENTURES, {
	title = "Step 11 : Trading";
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH12";
	version = "1.0";
	language = "ALL"; 
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest";
	levelMin = 10;
	tech = true;
	canRestart = true;
	header = "YourOwnAdventuresScripts/testpicts/header_tech.tga";
	description = TRAD("Script de test pour tester les quantités d'items et les échanges.", "Script to test the trading system.");
	steps = {		
		["START"] = {
			objectif = TRAD("Parlez à Bill Boisderose pour gagner des cacahuètes.", "Talk to Bill Rosewood to get peanuts");
			steptype = "TARGET";
			tracker = {"Bill Boisderose", "Bill Rosewood"};
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>\<Bill Boisderose\></rgb> Ha mon ami, tient, prend donc des cacahuètes !", "<rgb=#00FF00>\<Bill Rosewood\></rgb> Hello my friend. Here is few peanuts for you !");
				pushSplashMessage = TRAD("Vous êtes riche !", "You are rich !");		
				giveItem = {{itemid="WALM-TECH12_ITEM1", quantity=487}, "WALM-TECH12_ITEM1"};	
			};
			nextStep = "1";
		},
		["1"] = {
			objectif = TRAD("Donnez 100 cacahuètes à Hazel Kenton", "Give 100 peanuts to Hazel Kenton");
			steptype = "TARGET";
			tracker = "Hazel Kenton";
			onCompletion = {
				pushSystemChat = "<rgb=#00FF00>\<Hazel Kenton\></rgb> "..TRAD("Merci !", "Thank you !");
				pushSplashMessage = TRAD("Hazel Kenton vous remercie.", "Hazel Kenton is happy.");		
				removeItem = {{itemid="WALM-TECH12_ITEM1", quantity=99}, "WALM-TECH12_ITEM1"};	
			};
			nextStep = {{"2", "2B"}};
		},
		["2"] = {
			objectif = TRAD("Parlez à André Duchêne pour échanger des cacahouettes.", "Talk to Andrew Oakhurst to trade peanuts.");
			steptype = "TRADE";
			tracker = {"André Duchêne", "Andrew Oakhurst"};
			title = TRAD("Braderie de cacahuètes", "Peanuts Street Market");
			description = TRAD("Salutations l'ami ! Cela en fait des cacahuètes... et j'adoooooore les cacahuètes. Je donnerai tout ce que j'ai pour en grignoter quelques unes. Et si on faisait un échange ?!", "I looooooooooove peanuts !");
			neg_title = TRAD("Négotiation avec ", "Trade with ");
			trades = {
				{"WALM-TECH12_ITEM1", "WALM-TECH8_ITEM1"};
				{"WALM-TECH12_ITEM1", "WALM-TECH8_ITEM2"};
				{{itemid="WALM-TECH12_ITEM1", quantity=10}, {itemid="WALM-TECH12_ITEM1", quantity=200}, {requireItem="ALPHALETTER"}};
				{{itemid="WALM-TECH12_ITEM1", quantity=10}, {itemid="WALM-TECH8_ITEM3", quantity=1}, {requireItem="ALPHALETTER"; requireAdventure="WALM-TECH12"; requireDeed="GENERIC_DEEDS_A1";}};
				{{{itemid="WALM-TECH8_ITEM2", quantity=2}, {itemid="WALM-TECH8_ITEM1", quantity=2}},{itemid="WALM-TECH8_ITEM3", quantity=2}};
				{{{itemid="WALM-TECH8_ITEM1", quantity=1}, {itemid="WALM-TECH8_ITEM2", quantity=1}, {itemid="WALM-TECH12_ITEM1", quantity=10}},{itemid="WALM-TECH8_ITEM3", quantity=2}};
			};
			onCompletion = {
				pushSystemChat = "<rgb=#00FF00>\<Hazel Kenton\></rgb> "..TRAD("Merci !", "Thank you !");
				pushSplashMessage = "Hazel Kenton "..TRAD("vous remercie.", "thanks you.");		
			};
			saveProgress = false;
		},
		["2B"] = {
			objectif = TRAD("Récupérez un TBD d'Or", "Get a golden TBD");
			steptype = "ITEMACTION";
			action = "GET";
			item = "WALM-TECH8_ITEM3";
			nextStep = "END";
		};
	};
});

ITEMS["WALM-TECH8_ITEM1"] = { -- unique id
	name = TRAD("{Un }magnifique[s] TBD[s]", "{A }beautiful[s] TBD[s]");
	picture = "YourOwnAdventuresScripts/testpicts/tbd.jpg"; -- 32px x 32px
	description = TRAD("Un magnifique Tbd vert sur fond blanc", "A beautiful green TBD");
	OnlyForCampaign = TRAD("Tests techniques", "technical tests");
	onLook={
		pushSplashMessage = TRAD("C'est magnifique !", "So beautiful !");			
	};
};
ITEMS["WALM-TECH8_ITEM2"] = {
	name = TRAD("{Un }lingot[s] en or", "{A }golden ingot[s]");
	picture = "YourOwnAdventuresScripts/testpicts/item_lingot.jpg"; 
	description = TRAD("Ce lingot d'or vous a été donné par Flint Tranchechêne.\nIl aurait été fondu par un certain Mansen.", "this ingot has been given by Flint.\nIt has been melted by Mansen.");
	onCraft={
		requireItem={"WALM-TECH8_ITEM1", "WALM-TECH8_ITEM0"};
		pushSystemChat = TRAD("<rgb=#00FF00>\<Flint Tranchechêne\></rgb> Bravo, l'ami. Si un de ces jours vous vous ennuyez, je cherche un apprenti !", "<rgb=#00FF00>\<Flint Oakhewer\></rgb> Well done, my friend. I one day you would change of vocation, I'm looking for an apprenctice !");
		pushSplashMessage = TRAD("Vous concevez un TBD d'or !", "You built a golden TBD");		
		removeItem = {"WALM-TECH8_ITEM2","WALM-TECH8_ITEM1"};	
		giveItem = "WALM-TECH8_ITEM3";		
	};
	OnlyForCampaign = TRAD("Tests techniques", "technical tests");
};
ITEMS["WALM-TECH8_ITEM3"] = { 
	name = TRAD("{Un }TBD[s] d'or !", "{A }golden TBD[s]");
	picture = "YourOwnAdventuresScripts/testpicts/tbd3.jpg"; 
	description = TRAD("Un magnifique Tbd en or concut par vos soins. Il brille de mille feux !", "A wonderfull golden TBD made by yourself. It's shining !");
	OnlyForCampaign = TRAD("Tests techniques", "technical tests");
};
ITEMS["WALM-TECH8_ITEM4"] = {
	name = TRAD("{Un }coffret[s] à TBD de Bill Boisderose", "{A }box[es] with TBD from Bill Rosewood");
	picture = "YourOwnAdventuresScripts/testpicts/item_coffre.jpg"; 
	description = TRAD("Un coffret qui vous a été remis par Bill Boisderose. Il devrait contenir deux TBD. Je devrais peut-être l'ouvrir.", "This box has been given by Bill Rosewood. I should find two TBDs inside. Maybe I should open it !");
	onOpen = {
		requireAdventure = "WALM-TECH8";
		giveItem = {"WALM-TECH8_ITEM1", "WALM-TECH8_ITEM1"};
		removeItem = "WALM-TECH8_ITEM4";
		pushSystemChat = TRAD("Vous ouvrez le coffret et découvrez deux TBD.", "You opened the box and find two TBDs inside !");
		pushSplashMessage = TRAD("Le coffret s'est cassé en l'ouvrant.", "The box has been broken while opening.");
	};	
	OnlyForCampaign = TRAD("Tests techniques", "technical tests");
};

ITEMS["WALM-TECH12_ITEM1"] = {
	name = TRAD("{Une }belle[s] cacahuète[s]", "{A }delicious peanut[s]");
	picture = "YourOwnAdventuresScripts/testpicts/item_peanuts.jpg";
	description = TRAD("Les cacahuètes sont une monnaie d'échange auprès d'un mystérieux groupe.", "Peanuts are use for bartering with a strange group of peoples.");
	maxQuantity = 999;
	OnlyForCampaignByCreator = "Walm";
};

table.insert(DEEDS, {
	name = TRAD("Exploit simple", "Simple achievement");
	family = TRAD("Tests techniques", "technical tests");
	language = "ALL";
	uniqueID = "WALM-TECH_ACHIV_1";
	picture = "YourOwnAdventuresScripts/testpicts/deed1.tga"; -- 100px x 100px
	visibility = true; -- indique si l'exploit est visible avant d'être accompli depuis le journal des aventures
	description = TRAD("Un exploit qui peut être complété via un accomplishDeed dans l'aventure de test \"Step : Exploits\"", "An achievement can be completed with the accomplishDeed property. This one can be accomplished in the test adventure \"Step 10 : Achievement\"");
	tech = true;
});

table.insert(DEEDS, {
	name = TRAD("Exploit simple (caché) !", "Simple achievement (hidden) !");
	family = TRAD("Tests techniques", "technical tests");
	language = "ALL"; -- supports "FR", "EN"
	uniqueID = "WALM-TECH_ACHIV_0";
	picture = "YourOwnAdventuresScripts/testpicts/deed3.tga"; -- 100px x 100px
	visibility = false; -- indique si l'exploit est visible avant d'être accompli depuis le journal des aventures
	description = TRAD("Un exploit caché n'est visible qu'une fois accomplis.", "An hidden achievement is visible only when accomplished");
	tech = true;
});

table.insert(DEEDS, {
	name = TRAD("Une exploit incrémentable", "An incremental achievement");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH_ACHIV_2";
	language = "ALL"; -- supports "FR", "EN"
	unlockCout = 5; -- se valide en 5 étapes
	notifyProgress = true; -- indique si on notifie la progression
	picture = "YourOwnAdventuresScripts/testpicts/deed1.tga"; -- 100px x 100px
	visibility = true; -- indique si l'exploit est visible avant d'être accompli depuis le journal des aventures
	description = TRAD("Un exploit qui peut être complété en 5 fois dans \"TECH TEST : EXPLOITS\"", "This achievement should be accomplished 5 times to be validated.");
	tech = true;
});

table.insert(DEEDS, {
	name = TRAD("Une exploit incrémentable (caché)", "An incremental achievement (hidden)");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH_ACHIV_3";
	language = "ALL"; -- supports "FR", "EN"
	unlockCout = 5; -- se valide en 5 étapes
	notifyProgress = false; -- indique si on notifie la progression
	picture = "YourOwnAdventuresScripts/testpicts/deed3.tga"; -- 100px x 100px
	visibility = false; -- indique si l'exploit est visible avant d'être accompli depuis le journal des aventures
	description = TRAD("Un exploit caché qui peut être complété en 5 fois dans \"TECH TEST : EXPLOITS\"", "This achievement should be accomplished 5 times to be validated.");
	tech = true;
});

table.insert(DEEDS, {
	name = TRAD("Meta prouesse", "Meta achievement");
	family = TRAD("Tests techniques", "technical tests");
	uniqueID = "WALM-TECH_ACHIV_4";
	category="Meta";
	language = "ALL"; 
	notifyProgress = false;
	picture = "YourOwnAdventuresScripts/testpicts/deed3.tga"; 
	visibility = true; 
	description = TRAD("Un Exploit pour les gouverner tous, un Exploit pour les comprendre, un Exploit pour les amener tous et dans la doc technique les lier.", "One achievement to rule them all, one achievement to find them, One achievement to bring them all and in the technical documentation bind them.");
	tech = true;
	todolist = {"WALM-TECH_ACHIV_1", "WALM-TECH_ACHIV_0", "WALM-TECH_ACHIV_2", "WALM-TECH_ACHIV_3"};
});
