table.insert(ADVENTURES, {
	title = TRAD("La meilleure taverne de la Terre du Milieu", "The best tavern in Middle-Earth");
	family = "Nightfall on Middle-Earth";
	uniqueID = "Noleth-Best-Place-In-ME"; -- mendatory ; unique !!! (used for the saves)
	version = "1.0";
	language = "ALL"; -- supports "FR", "EN"
	author = "Skro";
	shareURL = "skro.hellabeth.com"; -- show this message (and URL) when a player wants to share the quest
	levelMin = 110;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/Nightfall-pics/header_noleth.tga"; -- you can create your own banner for the quest selector dialog
	canRestart = true;
	description = TRAD("Avec la nouvelle de la destruction de l'Anneau Unique, certaines personnes ont des rêves de grandeur...", "With the news of the destruction of the One Ring, some people start to dream big..."); -- adventure description seen in the adventure lancher
	loadingDiaryMessage = TRAD("Avec la nouvelle de la destruction de l'Anneau Unique, certaines personnes ont des rêves de grandeur...", "With the news of the destruction of the One Ring, some people start to dream big...");	-- first line in the adventure diary
	steps = {
-- Intro - Prosper 
		["START"] = {
			objectif = TRAD("Parlez à Prosper Poiredebeurré", "Talk to Barliman Butterbur"); -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = TRAD("Prosper Poiredebeurré", "Barliman Butterbur");			-- string or list of strings
			onCompletion = {
				setVariable={{"BPIME_selector", "=", 1, 5}};
--				setVariable={{"BPIME_selector", "=", 4}}; -- ligne de débug
			};
			nextStep = "PONY"; -- Next step id or "END"
		};
		["PONY"] = {
			objectif = TRAD("Parlez à Prosper Poiredebeurré", "Talk to Barliman Butterbur"); -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = TRAD("Prosper Poiredebeurré", "Barliman Butterbur");			-- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say= TRAD("Bonjour |PLAYER|!\n\nAlors comme ça vous avez vu? Mon auberge en a accueilli, des gens célèbres! Déjà, il y a  Gandalf, le magicien... Je vous ai dit que c'était mon ami? \"Poiredebeurré mon ami\", qu'il a toujours l'habitude de dire, \"Vous avez un coeur aussi gros que votre cervelle est percée!\"\n Et c'est vrai que j'ai un peu tendance à oublier des choses, avec toute l'agitation qu'il y a ici...\n\nEt puis ce monsieur Soucolline, ou Sacquet, comme il s'appelle en vrai. Il parait qu'il a fait des trucs pas croyables, et il a dormi chez moi!\n\nMais le plus important, c'est quand même ce Grand-Pas... Un roi! Rien que ça! Un roi qui venait chez moi! Même qu'il s'asseyait juste là-bas, vous voyez?\nUn roi! Même en le redisant, j'ai toujours du mal à y coire... J'ai servi de la bière à un vrai roi...","Hello |PLAYER|!\n\nHave you seen how many celebrities my inn has welcomed! First of all, there is Gandalf, the Wizard... He's a good friend of mine, you know! \"Butterbur, my friend\" he always says, \"Your heart is as full as your brains are empty!\"\n And he's a bit right, I tend to forget things, with all this madness heres...\n\nAnd there has been this mister Underhill, or Baggins as he's called for real. He's rumored to have done things hardly believable, and he has slept in my beds!\n\nBut the most famousest one, that's this Strider... A king! You tell me! A real king who came here! He even sat just over there, you see?\nA King! A can hardly believe it, even by saying it again and again. I've served beer to an actual real king...");
					answers = {
							{pos=1, say=TRAD("Venez-en au fait, s'il vous plait!", "Please come to the point!") ,nextDial="FORSAKEN"; condition={requireVariable = {{"BPIME_selector", "=", 1}}};hideIfRequirementsFalse=true;},
							{pos=2, say=TRAD("Venez-en au fait, s'il vous plait!", "Please come to the point!") ,nextDial="FLOODWEND"; condition={requireVariable = {{"BPIME_selector", "=", 2}}};hideIfRequirementsFalse=true;},
							{pos=3, say=TRAD("Venez-en au fait, s'il vous plait!", "Please come to the point!") ,nextDial="MORLAD"; condition={requireVariable = {{"BPIME_selector", "=", 3}}};hideIfRequirementsFalse=true;},
							{pos=4, say=TRAD("Venez-en au fait, s'il vous plait!", "Please come to the point!") ,nextDial="LAKETOWN"; condition={requireVariable = {{"BPIME_selector", "=", 4}}};hideIfRequirementsFalse=true;},
							{pos=5, say=TRAD("Venez-en au fait, s'il vous plait!", "Please come to the point!") ,nextDial="ETHRING"; condition={requireVariable = {{"BPIME_selector", "=", 5}}};hideIfRequirementsFalse=true;},
							{pos=6, say=TRAD("En parlant de bière, je pourrais en avoir une avant qu'on attaque les choses sérieuses?", "Speaking of beer, can I get one before you tell me the real matter?") ,nextDial="NOBEER";},
							{pos=7, say=TRAD("Poiredebeurré, mon ami, tu te mets à radoter... (refuser l'aventure)", "Butterbur my friend, you are boring... (decline the adventure)"); nextStep="END"},
						};
					};
				["NOBEER"] = {
					say=TRAD("Certainement pas! C'est beaucoup trop important!", "Certainly not! This is too important!");
					answers = {
							{pos=1, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="FORSAKEN"; condition={requireVariable = {{"BPIME_selector", "=", 1}}};hideIfRequirementsFalse=true;},
							{pos=2, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="FLOODWEND"; condition={requireVariable = {{"BPIME_selector", "=", 2}}};hideIfRequirementsFalse=true;},
							{pos=3, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="MORLAD"; condition={requireVariable = {{"BPIME_selector", "=", 3}}};hideIfRequirementsFalse=true;},
							{pos=4, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="LAKETOWN"; condition={requireVariable = {{"BPIME_selector", "=", 4}}};hideIfRequirementsFalse=true;},
							{pos=5, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="ETHRING"; condition={requireVariable = {{"BPIME_selector", "=", 5}}};hideIfRequirementsFalse=true;},
							{pos=6, say=TRAD("Vraiment pas?", "Really?"), nextDial = "NOBEER2";},
							{pos=7, say=TRAD("Pas de bière, pas de héros! (refuser l'aventure)", "No beer, no hero! (decline the adventure)"); nextStep="END"},
						};
					onCompletion = {
						accomplishDeed = "SKRO_BPIME_DRINK";
						};
					};
				["NOBEER2"] = {
					say=TRAD("J'ai dit non!", "I said no!");
					answers = {
							{pos=1, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="FORSAKEN"; condition={requireVariable = {{"BPIME_selector", "=", 1}}};hideIfRequirementsFalse=true;},
							{pos=2, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="FLOODWEND"; condition={requireVariable = {{"BPIME_selector", "=", 2}}};hideIfRequirementsFalse=true;},
							{pos=3, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="MORLAD"; condition={requireVariable = {{"BPIME_selector", "=", 3}}};hideIfRequirementsFalse=true;},
							{pos=4, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="LAKETOWN"; condition={requireVariable = {{"BPIME_selector", "=", 4}}};hideIfRequirementsFalse=true;},
							{pos=5, say=TRAD("D'accord, allez-y...", "Fine, go on...") ,nextDial="ETHRING"; condition={requireVariable = {{"BPIME_selector", "=", 5}}};hideIfRequirementsFalse=true;},
							{pos=6, say=TRAD("Allez, soyez sympa!", "Pleeease!"); nextDial = "NOBEER";},
							{pos=7, say=TRAD("Pas de bière, pas de héros! (refuser l'aventure)", "No beer, no hero! (decline the adventure)"); nextStep="END"},
						};
					onCompletion = {
						accomplishDeed = "SKRO_BPIME_DRINK";
						};
					};
				["FORSAKEN"] = {
					say = TRAD("Ce Grand-Pas, ou Aragorn comme il s'appelle en vrai... Vous avez noté comme c'est bizarre ces gens qui ont plusieurs noms? Moi, je n'en ai qu'un seul, et ça me va très bien... Où en étais-je?\n\nAh oui, Aragorn! Et bien des rumeurs courent qu'il voudrait revenir sur les pas de sa dernière grande aventure. Alors forcément, il viendrait ici, parce que sans fausse modestie, c'est quand même là qu'il a rencontré monsieur Souco... Sacquet.\n\n Mais je m'inquiète un peu. Mon auberge est la meilleure et la mieux approvisionnée sur le Chemin Vert, mais s'il y en avait une qui soit plus belle que la mienne?\n\nJ'ai entendu dire qu'il pourrait passer par le Mont Venteux. Est-ce que vous pourriez aller voir par là-bas à quoi ressemblent les auberges des alentours et me dire -franchement, hein! - si je dois m'inquiéter ou pas...", "This Strider, or Aragorn, that's his real name... don't you find it odd, those people with multiple names? I only have one and that's perfectly fine... Where was I?\n\nOh yes, Aragorn! Well it is rumored that he would come back on the tracks of his last adventure. He will have to come here, just saying, because that's here that he met mister Unde... Baggins.\n\nBut I must say I'm a bit worried. My inn is the finest and the most welcoming on the Green Mile, but what if there was another more beautiful than mine?\n\nI've heard that he could go to the Weathertop. Could you go there and see around what the inns over there look like, and tell me - honestly, I'm counting on you! - if I have to worry about it or not...");
					answers = {
							{pos=6, say=TRAD("J'y vais!", "I'll go!"); nextStep = "GO1";},
							{pos=7, say=TRAD("Vous trouvez que c'est une aventure pour un héros? (refuser l'aventure)", "And you find it hero-worthy? (decline the adventure)"); nextStep="END"},
						};
					};
				["FLOODWEND"] = {
					say = TRAD("Ce Grand-Pas, ou Aragorn comme il s'appelle en vrai... Vous avez noté comme c'est bizarre ces gens qui ont plusieurs noms? Moi, je n'en ai qu'un seul, et ça me va très bien... Où en étais-je?\n\nAh oui, Aragorn! Et bien des rumeurs courent qu'il voudrait revenir sur les pas de sa dernière grande aventure. Alors forcément, il viendrait ici, parce que sans fausse modestie, c'est quand même là qu'il a rencontré monsieur Souco... Sacquet.\n\n Mais je m'inquiète un peu. Mon auberge est la meilleure et la mieux approvisionnée sur le Chemin Vert, mais s'il y en avait une qui soit plus belle que la mienne?\n\nJ'ai entendu dire qu'il pourrait passer par Parth Galen. Il parait qu'il aurait perdu un compagnon là-bas... Est-ce que vous pourriez aller voir par là-bas à quoi ressemblent les auberges des alentours et me dire -franchement, hein! - si je dois m'inquiéter ou pas...", "This Strider, or Aragorn, that's his real name... don't you find it odd, those people with multiple names? I only have one and that's perfectly fine... Where was I?\n\nOh yes, Aragorn! Well it is rumored that he would come back on the tracks of his last adventure. He will have to come here, just saying, because that's here that he met mister Unde... Baggins.\n\nBut I must say I'm a bit worried. My inn is the finest and the most welcoming on the Green Mile, but what if there was another more beautiful than mine?\n\nI've heard that he could go to Parth Galen. He has lost a companion there, or something like that. Could you go there and see around what the inns over there look like, and tell me - honestly, I'm counting on you! - if I have to worry about it or not...");
					answers = {
							{pos=6, say=TRAD("J'y vais!", "i'll go!"); nextStep = "GO2";},
							{pos=7, say=TRAD("Vous trouvez que c'est une aventure pour un héros? (refuser l'aventure)", "And you find it hero-worthy? (decline the adventure)"); nextStep="END"},
						};
					};
				["MORLAD"] = {
					say = TRAD("Ce Grand-Pas, ou Aragorn comme il s'appelle en vrai... Vous avez noté comme c'est bizarre ces gens qui ont plusieurs noms? Moi, je n'en ai qu'un seul, et ça me va très bien... Où en étais-je?\n\nAh oui, Aragorn! Et bien des rumeurs courent qu'il voudrait revenir sur les pas de sa dernière grande aventure. Alors forcément, il viendrait ici, parce que sans fausse modestie, c'est quand même là qu'il a rencontré monsieur Souco... Sacquet.\n\n Mais je m'inquiète un peu. Mon auberge est la meilleure et la mieux approvisionnée sur le Chemin Vert, mais s'il y en avait une qui soit plus belle que la mienne?\n\nJ'ai entendu dire qu'il pourrait passer par les Chemins des Morts. C'est inquiétant comme non, vous ne trouvez pas? Mais enfin, est-ce que vous pourriez aller voir par là-bas à quoi ressemblent les auberges des alentours et me dire -franchement, hein! - si je dois m'inquiéter ou pas...", "This Strider, or Aragorn, that's his real name... don't you find it odd, those people with multiple names? I only have one and that's perfectly fine... Where was I?\n\nOh yes, Aragorn! Well it is rumored that he would come back on the tracks of his last adventure. He will have to come here, just saying, because that's here that he met mister Unde... Baggins.\n\nBut I must say I'm a bit worried. My inn is the finest and the most welcoming on the Green Mile, but what if there was another more beautiful than mine?\n\nI've heard that he could go to the Paths of the Dead. That's a scary name, don't you think? Nevertheless, could you go there and see around what the inns over there look like, and tell me - honestly, I'm counting on you! - if I have to worry about it or not...");
					answers = {
							{pos=6, say=TRAD("J'y vais!", "i'll go!"); nextStep = "GO3";},
							{pos=7, say=TRAD("Vous trouvez que c'est une aventure pour un héros? (refuser l'aventure)", "And you find it hero-worthy? (decline the adventure)"); nextStep="END"},
						};
					};
				["LAKETOWN"] = {
					say = TRAD("Ce Grand-Pas, ou Aragorn comme il s'appelle en vrai... Vous avez noté comme c'est bizarre ces gens qui ont plusieurs noms? Moi, je n'en ai qu'un seul, et ça me va très bien... Où en étais-je?\n\nAh oui, Aragorn! Et bien des rumeurs courent qu'il voudrait visiter les endroits importants de la Terre du Milieu. Alors forcément, il viendrait ici, parce que sans fausse modestie, c'est quand même là qu'il a rencontré monsieur Souco... Sacquet.\n\n Mais je m'inquiète un peu. Mon auberge est la meilleure et la mieux approvisionnée sur le Chemin Vert, mais s'il y en avait une qui soit plus belle que la mienne?\n\nJ'ai entendu dire qu'il voulait voir de ses yeux le dragon que Gandalf et les nains ont vaincu. Je crois aussi qu'il y avait un Sacquet dans l'histoire... Vous pensez que c'est un parent du Sacquet qui a dormi ici?\n\n En tous cas, est-ce que vous pourriez aller voir par là-bas à quoi ressemblent les auberges des alentours et me dire -franchement, hein! - si je dois m'inquiéter ou pas...", "This Strider, or Aragorn, that's his real name... don't you find it odd, those people with multiple names? I only have one and that's perfectly fine... Where was I?\n\nOh yes, Aragorn! Well it is rumored that he would visit meaningful places of Middle-Earth. He will have to come here, just saying, because that's here that he met mister Unde... Baggins.\n\nBut I must say I'm a bit worried. My inn is the finest and the most welcoming on the Green Mile, but what if there was another more beautiful than mine?\n\nI've heard that he could go and see the dragon that has been killed by Gandalf and the dwarves. Oh and there was a Baggins as well in this story. Do you think he's related to the Baggins who slept here?\n\n Could you go there and see around what the inns over there look like, and tell me - honestly, I'm counting on you! - if I have to worry about it or not...");
					answers = {
							{pos=6, say=TRAD("J'y vais!", "i'll go!"); nextStep = "GO4";},
							{pos=7, say=TRAD("Vous trouvez que c'est une aventure pour un héros? (refuser l'aventure)", "And you find it hero-worthy? (decline the adventure)"); nextStep="END"},
						};
					};
				["ETHRING"] = {
					say = TRAD("Ce Grand-Pas, ou Aragorn comme il s'appelle en vrai... Vous avez noté comme c'est bizarre ces gens qui ont plusieurs noms? Moi, je n'en ai qu'un seul, et ça me va très bien... Où en étais-je?\n\nAh oui, Aragorn! Et bien des rumeurs courent qu'il voudrait revenir sur les pas de sa dernière grande aventure. Alors forcément, il viendrait ici, parce que sans fausse modestie, c'est quand même là qu'il a rencontré monsieur Souco... Sacquet.\n\n Mais je m'inquiète un peu. Mon auberge est la meilleure et la mieux approvisionnée sur le Chemin Vert, mais s'il y en avait une qui soit plus belle que la mienne?\n\nJ'ai entendu dire qu'il pourrait passer par un endroit appelé Ethring. C'est dans le sud, je crois... Est-ce que vous pourriez aller voir par là-bas à quoi ressemblent les auberges des alentours et me dire -franchement, hein! - si je dois m'inquiéter ou pas...", "This Strider, or Aragorn, that's his real name... don't you find it odd, those people with multiple names? I only have one and that's perfectly fine... Where was I?\n\nOh yes, Aragorn! Well it is rumored that he would come back on the tracks of his last adventure. He will have to come here, just saying, because that's here that he met mister Unde... Baggins.\n\nBut I must say I'm a bit worried. My inn is the finest and the most welcoming on the Green Mile, but what if there was another more beautiful than mine?\n\nI've heard that he could go to Ethring. Somewhere in the south, I've been told... Could you go there and see around what the inns over there look like, and tell me - honestly, I'm counting on you! - if I have to worry about it or not...");
					answers = {
							{pos=6, say=TRAD("J'y vais!", "i'll go!"); nextStep = "GO5";},
							{pos=7, say=TRAD("Vous trouvez que c'est une aventure pour un héros? (refuser l'aventure)", "And you find it hero-worthy? (decline the adventure)"); nextStep="END"},
						};
					};
				};
			};
-- case 1 - Weathertop/Forsaken Inn
		["GO1"] = {
				objectif = TRAD("Allez au mont Venteux", "go to the Weathertop"); -- objective text
				steptype = "QUICKSLOTS";
				slots = {
						{
							picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
							name = TRAD("Regardez votre carte", "Look at your map");
							description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
							tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
							validation = TRAD("Eriador: Mont Venteux", "Eriador: Weathertop");
							chat = Turbine.ChatType.Emote;
							command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
							successCompletion = {
								pushSystemChat = TRAD("<rgb=#00FF00>Vous voyez une auberge isolée en contrebas", "<rgb=#00FF00>You see a lone inn in the distance");
								pushSplashMessage = TRAD("Vous voyez une auberge isolée en contrebas", "You see a lone inn in the distance");
								nextStep = "INN1";
							},
							failedCompletion = {
								pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
								pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
							};
							
						},
					}
				};
		["INN1"] = {
			objectif = TRAD("Trouvez la taverne que vous avez aperçue depuis le Mont Venteux", "Find the tavern you saw from Weathertop"); -- objective text
			steptype = "QUICKSLOTS";
			slots = {
					{
						picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
						name = TRAD("Regardez votre carte", "Look at your map");
						description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
						tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
						validation = TRAD("Auberge Abandonnée", "Forsaken Inn");
						chat = Turbine.ChatType.Emote;
						command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
						successCompletion = {
							pushSystemChat = TRAD("<rgb=#00FF00>Cette auberge est franchement décrépite, Prosper n'a rien à craindre.", "<rgb=#00FF00>This inn is fairly decrepite, Butterbur doesn't need to worry.");
							pushSplashMessage = TRAD("Cette auberge est décrépite", "This inn is decrepite");
							nextStep = "BACKPONY";
						},
						failedCompletion = {
							pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
							pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
						};
						
					},
				}
			};
-- Case 3 - Path of the Dead/Morlad
		["GO3"] = {
				objectif = TRAD("Allez aux chemins des morts", "go to the paths of the Dead"); -- objective text
				steptype = "QUICKSLOTS";
				slots = {
						{
							picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
							name = TRAD("Regardez votre carte", "Look at your map");
							description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
							tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
							validation = TRAD("Les Chemins des Morts", "The Paths of the Dead");
							chat = Turbine.ChatType.Emote;
							command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
							successCompletion = {
								pushSystemChat = TRAD("<rgb=#00FF00>Cet endroit est lugubre, il faudrait en sortir vite", "<rgb=#00FF00>This place is creepy, you should leave as soon as possible");
								pushSplashMessage = TRAD("Ressortez par la sortie sud", "Exit the paths through the southern exit");
								nextStep = "OUT";
							},
							failedCompletion = {
								pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
								pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
							};
							
						},
					}
				};
		["OUT"] ={
		objectif = TRAD("Sortez du chemin des Morts et trouvez quelqu'un pour vous indiquer l'auberge la plus proche", "leave the Paths of the Dead and find someone who could point you to the closest inn"); -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = "Ludhír";			-- string or list of strings
			nextStep = "INN3";
			onCompletion = {
				pushSystemChat = TRAD("<rgb=#00FF00>L'homme vous indique un village plus bas", "<rgb=#00FF00>The man points you to a town further down the river.");
				pushSplashMessage = TRAD("L'homme vous indique un village plus bas", "The man points you to a town further down the river");
				};
		};
		["INN3"] = {
			objectif = TRAD("Allez à  Morlad et trouvez la taverne", "Go to Morlad and find the tavern"); -- objective text
			steptype = "QUICKSLOTS";
			slots = {
					{
						picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
						name = TRAD("Regardez votre carte", "Look at your map");
						description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
						tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
						validation = "Morlad";
						chat = Turbine.ChatType.Emote;
						command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
						successCompletion = {
							nextStep = "SEARCH";
						},
						failedCompletion = {
							pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
							pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
						};
						
					},
				}
			};
		["SEARCH"] = {
			objectif = TRAD("Allez à  Morlad et trouvez la taverne", "Go to Morlad and find the tavern"); -- objective text
			steptype = "QUICKSLOTS";
			slots = {
					{
						picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
						name = TRAD("Regardez votre carte", "Look at your map");
						description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
						tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
						validation = "Taverne de Morlad qui n'existe pas en jeu";
						chat = Turbine.ChatType.Emote;
						command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
						successCompletion = {
							nextStep = "BACKPONY";
						},
						failedCompletion = {
							pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
							pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
						};
						
					},
				};
			timer = {
				seconds = 120;
				pushSystemChat = TRAD("Incroyable! Il n'y a pas de taverne dans ce village! Retournez le dire à Prosper!", "Unbelievable, there is no tavern in this village! Go and tell it to Butterbur!");
				pushSplashMessage = TRAD("Il n'y a pas de taverne ici!","There is no tavern here!");	
				nextStep={{"BACKPONY"}};			
			};
			};
-- Case 2 - Parth Galen - Coudeflot
		["GO2"] = {
				objectif = TRAD("Allez à Parth Galen", "go to theParth Galen"); -- objective text
				steptype = "QUICKSLOTS";
				slots = {
						{
							picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
							name = TRAD("Regardez votre carte", "Look at your map");
							description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
							tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
							validation = "Rhovanion: Parth Galen";
							chat = Turbine.ChatType.Emote;
							command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
							successCompletion = {
								pushSystemChat = TRAD("<rgb=#00FF00>Vous voyez une auberge isolée en contrebas", "<rgb=#00FF00>You see a lone inn in the distance");
								pushSplashMessage = TRAD("Vous voyez une auberge isolée en contrebas", "You see a lone inn in the distance");
								nextStep = "INN2";
							},
							failedCompletion = {
								pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
								pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
							};
							
						},
					}
				};
		["INN2"] = {
			objectif = TRAD("Trouvez la taverne de Coudeflot", "Find the tavern in Floodwend"); -- objective text
			steptype = "QUICKSLOTS";
			slots = {
					{
						picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
						name = TRAD("Regardez votre carte", "Look at your map");
						description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
						tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
						validation = TRAD("Taverne de Coudeflots", "Tavern of Floodwend");
						chat = Turbine.ChatType.Emote;
						command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
						successCompletion = {
							pushSystemChat = TRAD("<rgb=#00FF00>Cette taverne n'est pas la plus confortable du Rohan.", "<rgb=#00FF00>This tavern is not the most comfortable of Rohan.");
							pushSplashMessage = TRAD("Cette auberge n'est pas très confortable", "This inn is not very comfortable");
							nextStep = "BACKPONY";
						},
						failedCompletion = {
							pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
							pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
						};
						
					},
				}
			};
-- Case 4 - Smaug - Laketown - done
		["GO4"] = {
				objectif = TRAD("Allez voir les restes de Smaug", "Go and find Smaug's remains"); -- objective text
				steptype = "QUICKSLOTS";
				slots = {
						{
							picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
							name = TRAD("Regardez votre carte", "Look at your map");
							description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
							tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
							validation = "Smaug";
							chat = Turbine.ChatType.Emote;
							command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
							successCompletion = {
								pushSystemChat = TRAD("<rgb=#00FF00>Il ne serait pas étonnant que les locaux aient baptisé une de leur taverne en hommage à cet événement. Vous devriez la chercher", "<rgb=#00FF00>It wouldn't be surprising if an inn was called from this event. You should check for it.");
								pushSplashMessage = TRAD("Trouvez une auberge parlant du dragon", "Find an inn called from the Dragon");
								nextStep = "INN4";
							},
							failedCompletion = {
								pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
								pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
							};
							
						},
					}
				};
		["INN4"] = {
			objectif = TRAD("Trouvez une taverne inspirée par le dragon dans la Ville du Lac", "Find a dradon-named tavern in Lake-Town"); -- objective text
			steptype = "QUICKSLOTS";
			slots = {
					{
						picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
						name = TRAD("Regardez votre carte", "Look at your map");
						description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
						tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
						validation = TRAD("auberge du Dragon mort", "The Dragonbone Inn");
						chat = Turbine.ChatType.Emote;
						command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
						successCompletion = {
							pushSystemChat = TRAD("<rgb=#00FF00>Cette taverne est un bouge mal famé.", "<rgb=#00FF00>This tavern is populated by the worst kind of people.");
							pushSplashMessage = TRAD("Cette taverne est un bouge", "This inn is a cut-throat");
							nextStep = "BACKPONY";
						},
						failedCompletion = {
							pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
							pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
						};
						
					},
				}
			};
-- Case 5 - Ethring
		["GO5"] = {
				objectif = TRAD("Allez à Ethring", "Go to Ethring"); -- objective text
				steptype = "QUICKSLOTS";
				slots = {
						{
							picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_map.jpg"; -- 32x32
							name = TRAD("Regardez votre carte", "Look at your map");
							description = TRAD("Une carte de la Terre du Milieu, annotée par Prosper.", "A Map of Middle-Earth, annotated by Butterbur.");
							tracker = TRAD("D'après la carte, vous êtes à ", " According to the map, you are at ");
							validation = TRAD("Taverne d'Ethring", "Ethring Tavern");
							chat = Turbine.ChatType.Emote;
							command = TRAD("/e D'après la carte, vous êtes à ;loc", "/e According to the map, you are at ;loc");
							successCompletion = {
								pushSystemChat = TRAD("<rgb=#00FF00>Vous vous demandez bien pourquoi Prosper a entendu parler de cette taverne, elle est parfaitement anodine.", "<rgb=#00FF00>You wonder why Butterbur has heard about this tavern, it is very insignificant.");
								pushSplashMessage = TRAD("Cette taverne n'a rien de particulier", "This tavern has nothing exceptional");
								nextStep = "BACKPONY";
							},
							failedCompletion = {
								pushSystemChat = TRAD("<rgb=#FF0000>Vous n'êtes pas au bon endroit.", "<rgb=#FF0000>You are not at the right place");
								pushSplashMessage = TRAD("Vous n'êtes pas au bon endroit.", "You are not at the right place");
							};
							
						},
					}
				};
-- Outro - Retour au Poney		
		["BACKPONY"] = {
			objectif = TRAD("Retournez voir Prosper Poiredebeurré", "Go back to Barliman Butterbur"); -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = TRAD("Prosper Poiredebeurré", "Barliman Butterbur");			-- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say=TRAD("Vous me rassurez, |PLAYER|!\n\nJe sais bien que mon auberge va être célèbre, avec autant de célébrités qui sont venues ici, mais c'est important pour moi de maintenir le meilleur niveau de qualité qu'un hôtelier puisse procurer à sa clientèle!\n\nVous savez, comme on dit dans le métier: un client satisfait est un client qui revient!\n\nEt si Aragorn revient, tout roi qu'il soit, c'est qu'il a dû être satisfait!\n\nEt puis vous savez, ça fait du bien de revoir un peu de clientèle, parce que l'hiver a été rude. Vous savez que nous avons été attaqué par des brigands, et même des orques. Des orques, vous imaginez ça?","I am relieved, |PLAYER|!\n\nI know that my inn will be famous, with so many celebrities who came here, but that's important to me to keep the best quality of service an innkeeper can give to his patrons!\n\nAs we say in the profession: a happy customer is a customer who comes back!\n\nAnd if Aragorn comes back, as king as he may be, that's because he has been well treated her:\n\nAnd you know, that's good to see customers again, becaus the winter was hard. You know we have been attacked by brigands, and even orcs. Orcs, can you imagine that?");
					answers = {
							{pos=1, say=TRAD("Si j'ai pu vous être utile...", "If I could be of any help...") ,nextDial="FORSAKEN2"; condition={requireVariable = {{"BPIME_selector", "=", 1}}};hideIfRequirementsFalse=true;},
							{pos=2, say=TRAD("Si j'ai pu vous être utile...", "If I could be of any help...") ,nextDial="FLOODWEND2"; condition={requireVariable = {{"BPIME_selector", "=", 2}}};hideIfRequirementsFalse=true;},
							{pos=3, say=TRAD("Si j'ai pu vous être utile...", "If I could be of any help...") ,nextDial="MORLAD2"; condition={requireVariable = {{"BPIME_selector", "=", 3}}};hideIfRequirementsFalse=true;},
							{pos=4, say=TRAD("Si j'ai pu vous être utile...", "If I could be of any help...") ,nextDial="LAKETOWN2"; condition={requireVariable = {{"BPIME_selector", "=", 4}}};hideIfRequirementsFalse=true;},
							{pos=5, say=TRAD("Si j'ai pu vous être utile...", "If I could be of any help...") ,nextDial="ETHRING2"; condition={requireVariable = {{"BPIME_selector", "=", 5}}};hideIfRequirementsFalse=true;},
							{pos=6, say=TRAD("Je ne pourrais pas prendre une bière maintenant?", "Can I get a beer now?") ,nextDial="NOBEER";},
						};
					};
				["NOBEER"] = {
					say=TRAD("Vous l'avez bien méritée.\nAllez, c'est la maison qui vous l'offre!", "You've earned it!\nThis one is on the house!");
					answers = {
							{pos=1, say=TRAD("Merci beaucoup!", "Thank you very much!") ,nextDial="FORSAKEN2"; condition={requireVariable = {{"BPIME_selector", "=", 1}}};hideIfRequirementsFalse=true;},
							{pos=2, say=TRAD("Merci beaucoup!", "Thank you very much!") ,nextDial="FLOODWEND2"; condition={requireVariable = {{"BPIME_selector", "=", 2}}};hideIfRequirementsFalse=true;},
							{pos=3, say=TRAD("Merci beaucoup!", "Thank you very much!") ,nextDial="MORLAD2"; condition={requireVariable = {{"BPIME_selector", "=", 3}}};hideIfRequirementsFalse=true;},
							{pos=4, say=TRAD("Merci beaucoup!", "Thank you very much!") ,nextDial="LAKETOWN2"; condition={requireVariable = {{"BPIME_selector", "=", 4}}};hideIfRequirementsFalse=true;},
							{pos=5, say=TRAD("Merci beaucoup!", "Thank you very much!") ,nextDial="ETHRING2"; condition={requireVariable = {{"BPIME_selector", "=", 5}}};hideIfRequirementsFalse=true;},
							{pos=6, say=TRAD("Je peux en avoir une autre?", "Can I get another one?"); nextDial = "NOBEER2";},
						};
					onCompletion = {
						accomplishDeed = "SKRO_BPIME_DRINK";
						};
					};
				["NOBEER2"] = {
					say=TRAD("Et puis quoi encore? Vous voulez couler mon établissement?", "And what next? You want to empty all my kegs?");
					answers = {
							{pos=1, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="FORSAKEN2"; condition={requireVariable = {{"BPIME_selector", "=", 1}}};hideIfRequirementsFalse=true;},
							{pos=2, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="FLOODWEND2"; condition={requireVariable = {{"BPIME_selector", "=", 2}}};hideIfRequirementsFalse=true;},
							{pos=3, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="MORLAD2"; condition={requireVariable = {{"BPIME_selector", "=", 3}}};hideIfRequirementsFalse=true;},
							{pos=4, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="LAKETOWN2"; condition={requireVariable = {{"BPIME_selector", "=", 4}}};hideIfRequirementsFalse=true;},
							{pos=5, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="ETHRING2"; condition={requireVariable = {{"BPIME_selector", "=", 5}}};hideIfRequirementsFalse=true;},
							{pos=6, say=TRAD("Vraiment pas!", "Are you sure?"); nextDial = "NOBEER3";},
							};
					onCompletion = {
						accomplishDeed = "SKRO_BPIME_DRINK";
						};
					};
				["NOBEER3"] = {
					say=TRAD("J'ai dit non!", "I said no!");
					answers = {
							{pos=1, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="FORSAKEN"; condition={requireVariable = {{"BPIME_selector", "=", 1}}};hideIfRequirementsFalse=true;},
							{pos=2, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="FLOODWEND"; condition={requireVariable = {{"BPIME_selector", "=", 2}}};hideIfRequirementsFalse=true;},
							{pos=3, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="MORLAD"; condition={requireVariable = {{"BPIME_selector", "=", 3}}};hideIfRequirementsFalse=true;},
							{pos=4, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="LAKETOWN"; condition={requireVariable = {{"BPIME_selector", "=", 4}}};hideIfRequirementsFalse=true;},
							{pos=5, say=TRAD("Bon, d'accord...", "Fine,fine...") ,nextDial="ETHRING"; condition={requireVariable = {{"BPIME_selector", "=", 5}}};hideIfRequirementsFalse=true;},
							{pos=6, say=TRAD("Allez, soyez sympa!", "Pleeease!"); nextDial = "NOBEER2";},
						};
					onCompletion = {
						accomplishDeed = "SKRO_BPIME_DRINK";
						};
					};
				["FORSAKEN2"] = {
					say = TRAD("En tous cas, je vous remercie de votre aide, |PLAYER|\nEt revenez me voir à l'occasion, j'aurai peut-être besoin de votre aide!", "In any case, thank you very much for your help, |PLAYER|!\nAnd don't hesitate to come again, I may be in need of your services some time.");
					answers = {
							{pos=6, say=TRAD("J'y penserai!", "I'll think about it!"); accomplishDeed = "SKRO_BPIME_FORSAKEN"; nextStep = "END";},
						};
				};
				["FLOODWEND2"] = {
					say = TRAD("En tous cas, je vous remercie de votre aide, |PLAYER|\nEt revenez me voir à l'occasion, j'aurai peut-être besoin de votre aide!", "In any case, thank you very much for your help, |PLAYER|!\nAnd don't hesitate to come again, I may be in need of your services some time.");
					answers = {
							{pos=6, say=TRAD("J'y penserai!", "I'll think about it!");accomplishDeed = "SKRO_BPIME_FLOODWEND"; nextStep = "END";},
						};
				};
				["MORLAD2"] = {
					say = TRAD("En tous cas, je vous remercie de votre aide, |PLAYER|\nEt revenez me voir à l'occasion, j'aurai peut-être besoin de votre aide!", "In any case, thank you very much for your help, |PLAYER|!\nAnd don't hesitate to come again, I may be in need of your services some time.");
					answers = {
							{pos=6, say=TRAD("J'y penserai!", "I'll think about it!");accomplishDeed = "SKRO_BPIME_MORLAD"; nextStep = "END";},
						};
				};
				["LAKETOWN2"] = {
					say = TRAD("En tous cas, je vous remercie de votre aide, |PLAYER|\nEt revenez me voir à l'occasion, j'aurai peut-être besoin de votre aide!", "In any case, thank you very much for your help, |PLAYER|!\nAnd don't hesitate to come again, I may be in need of your services some time.");
					answers = {
							{pos=6, say=TRAD("J'y penserai!", "I'll think about it!");accomplishDeed = "SKRO_BPIME_LAKETOWN"; nextStep = "END";},
						};
				};
				["ETHRING2"] = {
					say = TRAD("En tous cas, je vous remercie de votre aide, |PLAYER|\nEt revenez me voir à l'occasion, j'aurai peut-être besoin de votre aide!", "In any case, thank you very much for your help, |PLAYER|!\nAnd don't hesitate to come again, I may be in need of your services some time.");
					answers = {
							{pos=6, say=TRAD("J'y penserai!", "I'll think about it!");accomplishDeed = "SKRO_BPIME_ETHRING"; nextStep = "END";},
					};
				};
			};
		};
	};
});
	
table.insert(DEEDS, {
	name = TRAD("Boit sans soif", "Anonymous Alcoholic");
	family = "Nightfall on Middle-Earth";
	uniqueID = "SKRO_BPIME_DRINK";
	language = "ALL"; -- supports "FR", "EN"
	unlockCout = 50; -- has to be execute 5 times to complete
	notifyProgress = false;
	picture = "WalmPlugins/YourOwnAdventures/scripts/Nightfall-pics/prouesse_AA.tga"; -- 100px x 100px
	description = TRAD("Vous êtes certain de ne pas avoir un problème avec la boisson?", "Are you sure about having no drinking problem?");
	visibility = false; -- hidden
});
table.insert(DEEDS, {
	name = TRAD("Explorateur de tavernes", "Tavern Explorer"); 
	family = "Nightfall on Middle-Earth"; 
	uniqueID = "SKRO_BPIME_TAVERNS1"; 
	language = "ALL"; 
	visibility = true;  
	todolist = {
		{"SKRO_BPIME_ETHRING", TRAD("Rassurez Prosper sur la taverne d'Ethring", "Reassure Butterbur about Ethring Tavern")},
		{"SKRO_BPIME_FLOODWEND", TRAD("Rassurez Prosper sur la taverne près de Parth Galen", "Reassure Butterbur about the tavern near Parth Galen")},
		{"SKRO_BPIME_FORSAKEN", TRAD("Rassurez Prosper sur la taverne près du Mont Venteux", "Reassure Butterbur about the tavern near Weathertop")},
		{"SKRO_BPIME_LAKETOWN", TRAD("Rassurez Prosper sur la taverne près des ossements de Smaug", "Reassure Butterbur about the tavern near Smaug's remains")},
		{"SKRO_BPIME_MORLAD", TRAD("Rassurez Prosper sur la taverne près des chemins des Morts", "Reassure Butterbur about the tavern near the Paths of the Dead")}
		};
	priority = 1; 
	picture = "WalmPlugins/YourOwnAdventures/scripts/Nightfall-pics/prouesse-Poney.tga"; 
	description = TRAD("Rassurez Prosper sur la qualité de son établissement", "Reassure Butterbur on the quality of his inn");});