table.insert(ADVENTURES, { title = "Everything starts in the inn";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS1"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 30;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	description = "Every great adventure starts in a tavern. In this one, you start at the Prandcing Pony..."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Every great adventure starts in a tavern. In this one, you start at the Prandcing Pony...";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Talk to Barliman Butterbur at the Prancing Poney"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Barliman Butterbur"; -- string or list of strings
			dials = {
				["START"] = {
					say="Greetings, |PLAYER|!\n\nI'm really sorry to bother you, but there is someone who wants to see you at once. \"Don't forget, this time!\" he told me \"or I'll roast you for good this time\". That's really someone, you know...\n\nWho am I talking of? Well Gandalf the wizard, of course! A good friend of mine, if you want to know, and I'm always happy to give a hand to friends, and friends of friends... where was I?\n\n Oh yes, Gandalf! So \"Butterbur\", he said, \"I need you to tell |PLAYER| that I require their help as soon as possible. There are urgent and dangerous matters that need to be discussed.\"\n\"What matters?\" I asked. \"That's none of your innkeeper matters.\" he replied \"But tell |PLAYER| to go and meet me at once\" ";
					answers = {
							{pos=3, say="Je ne pourrais pas prendre une bière avant?"; nextDial = "BEERGANDALF"};
							{pos=2, say="I should meet him, but did he tell you where?"; nextDial = "WHEREGANDALF"};};
						};
				["WHEREGANDALF"] = {
					say="In his room, of course! Oh wait! I think he left not long ago! Or did he? You know what this is, too many things to think about, and I'm not sure of anything anymore...\n\nWell, he is either in his room at the inn, or he left for the east, most certainly to the Last Homely House...";
					answers = {
							{pos=3, say="Thanks a lot, I'll go and see him right away!"; nextStep = {"SEEGANDALF"};};
						};
					};
					["BEERGANDALF"] = {
					say="You must be kidding! Il a dit \"de toute urgence\"! C'est ma peau que je risque si jamais vous arriviez trop tard! Allez le voir dans sa chambre! Ou bien est-ce qu'il est déjà parti vers l'Est?\n\n Allez voir dans sa chambre, et sinon, il sera probablement chez ce monsieur Elrond dans la vallée de Fondcombe... ";
					answers = {
							{pos=2, say="Fine, fine, I'll go..."; nextStep = {"SEEGANDALF"};};
							{pos=3, say="And about the beer?"; nextDial = "NOBEER";};
						};
					};
				["NOBEER"] = {
					say="Certainly not! Now hurry!";

					answers = {
							{pos=2, say="Fine, fine, I'll go..."; nextStep = {"SEEGANDALF"};};
							{pos=3, say="You sure?"; nextDial = "NOBEER2";};
						};

					};
				["NOBEER2"] = {
					say="I said no!";
					answers = {
							{pos=2, say="Fine, fine, I'll go..."; nextStep = {"SEEGANDALF"};};
							{pos=3, say="Pleeaaaase!"; nextDial = "NOBEER";};
						};
					};
			};
		};
		["SEEGANDALF"] = { -- the first step IS "START"
			objectif = "Talk to Gandalf"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Gandalf";
			requireExactName = true;			-- string or list of strings
			dials = {
				["START"] = {
					say="Welcome, my friend!\nI'm glad to see that this dear Butterbur has not forgotten my message. Urgent and dangerous matters, I said to him, and you know that a wizard never speaks lightly.\n\nYou are well aware, |PLAYER|, of the journey of our hobbits friends, but their burden is not the only threat that lies upon our head.\nOf all the magic rings forged in the ancients eras, the most famous are the Nine, the Seven and the Three, not speaking of the One Ring, but there are also several magic rings forged for diverse purposes, that still lie on these lands.\nIt has been reported to us that the Shadow that grows in Angmar is looking for these so-called \"lesser\" rings, and we fear that they could be used as a weapon against Eriador.\n\nGlorfindel is the most versed in the tales of the old, and I have already asked him to search for clues about these rings. He may have information for you.\nYou'll find him in his library.";
					answers = {
							{pos=3, say="I'm on my way!"; nextStep = {"END"};}
						};
					}
				}
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "A wizard's request";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS2"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 30;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_EN_LESSER-RINGS1";
	description = "Gandalf has asked you to meet Glorfindel, in the haven of Rivendell, for he has concerns about Eriador."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Gandalf has asked you to meet Glorfindel, in the haven of Rivendell, for he has concerns about Eriador.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Talk to Glorfindel in Rivendell"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say = "Welcome, |PLAYER|, in the house of Elrond half-elf.\nIf you are among us, Gandalf has told you of our concerns concerning the magic rings that remain in Eriador. Don't be mistaken by their name or their appearance, they are powerful items, and the magic of the ancient times remain in them.\nIn the hands of the evil that dwells in Angmar, they could become powerful weapons, as they could corrupt the will of their bearer and turn them into slaves for the Dark Lord.\nThis is why we must find them before Angmar!\n\n I have asked to three of the best librarians to help me in the research of traces of such rings. You should go and hear what they uncovered.";
					answers = {
							{pos=3, say="I shall go and meet them."; nextStep = {"SCHOL1"};}
						};
					}
				}
		};
		["SCHOL1"] = { -- the first step IS "START"
			objectif = "Talk to Forgamthan"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Forgamthan"; -- string or list of strings
			dials = {
				["START"] = {
					say = "Hello |PLAYER|,\nIndeed, Lord Glorfindel asked for my knowledge in the matter of the magic rings that stayed in Eriador. I have found the record of three of them, that the chronicles call the rings of the Defenders. In the early years of this Age, they were crafted and given to three brothers, captains of the guard in Annuminas. Harndir, the elder brother, was renowned for his swordsmanship. Tognirion, the second brother, was versed into the way of the spear. And the youngest, Fardir, had no rival in archery.\nThe tales hint that they inherited their abilites from their three magic rings, and when they died, they were buried with all their belongings.\n\nI have managed to find the location of their tomb, you should go and talk to Lord Glorfindel about it.";
					answers = {
							{pos=3, say="I sure will do."; nextStep = {"SCHOL2"};}
						};
					}
				};
onCompletion = {
			pushDiaryMessage = "Forgamthan gives you a map:\n";
			pushDiaryPicture = {
				width=170; --max 260 
				height=118; 
				picture="WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/map-annu.jpg";
				};
				pushSplashMessage = "Forgamthan gives you a map";
			};
		};
		["SCHOL2"] = { -- the first step IS "START"
			objectif = "Talk to Mirwen"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Mirwen"; -- string or list of strings
			dials = {
				["START"] = {
					say="Mae govannen, |PLAYER|!\nThere are many tales of magic rings in Eriador, but most of them are mere legends, and have only a faint base of reality. But one of them that I have uncovered seem to have more truth than the others.\n\nIn the fortress of Tham Lorn lived a princess that longed for true love, for she had been betrayed. She had two rings forged, to bind her destiny with the one the man she would love. I couldn't find any trace of her giving one of the rings to anyone, though, as she died a maiden. But, as it was the tradition, she was buried with all of her jewellery.\n\nYou should ask Lord Glorfindel if this is wise, but in my opinion, it would be wise to look for the tomb of princess Olnathron.";
					answers = {
							{pos=3, say="Thank you. I'll talk to Lord Glorfindel."; nextStep = {"SCHOL3"};}
						};
					}
				};
			onCompletion = {
				pushDiaryMessage = "Mirwen gives you a map:\n";
				pushDiaryPicture = {
					width=131; --max 260 
					height=93; 
					picture="WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/map-fornost.jpg";
};
				pushSplashMessage = "Mirwen gives you a map";
				};
		};
		["SCHOL3"] = { -- the first step IS "START"
			objectif = "Talk to Atharovor"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Atharovor"; -- string or list of strings
			dials = {
				["START"] = {
					say="Suilad, mellon.\nI don't know what hope my fellow scholars gave you, but my findings are grim.\nI have found traces of a magic ring, that was held by the captain of the great watchtower of Amon Sûl. It was called the ring of the Lookout, as it was the ring of the one who would keep watch against the threats of the Rudhaur.\n\nAlas, one night, a small force of men from the Rudhaur managed to enter the keep. Many of them were slain, but in the morning, the ring had disappeared.\n\nShortly after, the fortress fell to the assaults of Angmar. But witnesses say that one of the leaders of the attacking force wore the ring of the lookout and that, after the battle, he was given the fortress of Nan Dhelu as a reward for serving the Witch-King.\n\nYou should tell this story to Lord Glorfindel, he'll most likely know what to do about it.";
					answers = {
							{pos=3, say="This is a grim story indeed."; nextStep = {"BACKGlorfindel"};}
						};
					}
				}
		};
		["BACKGlorfindel"] = { -- the first step IS "START"
			objectif = "Return to Glorfindel"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say="These are interesting stories that you are telling me, |PLAYER|.\n\nThere is only one way to find if any of these rings still exists: someone should go and investigate on the field.\n\nSadly, we are too few here, but maybe you would lend us a hand... ";
					answers = {
							{pos=3, say="I'd be honoured."; nextStep = {"END"};}
						};
					}
				}
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "The Lovers' rings";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS3"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 25;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_EN_LESSER-RINGS2";
	description = "Glorfindel and the elven scholars have fond the trace of two magic rings: the Lovers' Rings."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "The elves are worried about the presence of magic rings in Eriador, that could be used by Angmar as weapons. They have found record of two of them, the Lovers' Rings, in the archives of Arthedain. These rings have lastly been seen near Fornost Erain.";	-- first line in the adventure diary	
	steps = {
		["START"] = {
	objectif = "Find and inspect the tomb of Olnathron";
	steptype = "QUICKSLOTS";
	slots = {
		{
			picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
			name = "Look to the map";
			description = "This map has be given to you by Mirwen.\nIt will help you locate the tomb of Olnathron.";
			tracker = "According to the map, you are at ";
			validation = "10.1S, 57.7W";
			chat = Turbine.ChatType.Emote;
			command = "/e According to the map, you are at ;loc";
			successCompletion = {
				pushSystemChat = "<rgb=#00FF00>You have found the tomb, but it is empty!\nNeither the remains of Olnathron nor the rings are here...";
				pushSplashMessage = "The tomb is empty!";
				nextStep = "THAMLORN";
			},
			failedCompletion = {
				pushSystemChat = "<rgb=#FF0000>This is not the right tomb";
				pushSplashMessage = "You are not at the right place...";
			},
		},
				
	}
};
		["THAMLORN"] = {
			objectif = "Find Olnathron in Tham Lorn"; -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = "Olnathron"; -- string or list of strings
			nextStep = "OLNATHRON"; -- Next step id or "END"
		};
		["OLNATHRON"] = {
			objectif = "Talk to Olnathron"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Olnathron"; -- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say="Have you come to despise me, mortal, or are you here to share my pain?\n\nI was a princess once, and now I linger here, lost and abandonned. Hear my miserable tale!\n\nI was young and foolish, and I had this master craftman forge a pair of rings for me. If I wore one and gave the other to the man I loved, our destinies would be bound forever. And the I fell in love. Cedhron was his name, and he was tall and handsome, and he had dark hair and sky blue eyes.\n\n Blessed were the days when we were together, as he never left my side and was a kind lover. Alas, war came to our lands, and he was a captain of the guard, and he had to leave me.\n\n I'll be back soon, he said, and we'll be happy everafter. But he never came back. And my sorrow grew, and grew, so much that I died.\n\nBut even in death, we aren't reunited, and I don't know why. Has my Cedhron betrayed me? Is he still longin for me, as I am longing for him?\n\nPlease take this ring, as it will lead you to him. My soul is trapped between these walls, but I sense that when the rings are together, I shall be free again, and with my love.";
					answers = {
							{pos=3, say="I'll find Cedhron and free you both from this curse!"; nextStep = {"CAPTAIN"};}
						};
					}
				};
			OnCompletion = {
				giveItem = "SKRO_EN_RING_LOVER";
				pushSplashMessage = "Ring of the Lover retrieved.";
			};
		};
		["CAPTAIN"] = { -- the first step IS "START"
			objectif = "Find the captain in the eastern fields of Fornost"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = {"Oath-breaker Captain", "oath-breaker captain", "breaker Captain", "breaker captain"}; -- string or list of strings
			dials = {
				["START"] = {
					say="Who come? Who dares?\nThat ring! Impossible! You will pay for you theft!\n\nOlnathron gave it to you?\nMy beloved Olnathron, cursed, because of me?\n\nWe went to war, as she said, but I was blinded by my love. I didn't see my men plotting against my king and me. We swore an oath to protect Anor, and they broke it. They slain me and defected to the enemy.\nBut as their chief, I must share their fate, unless my death is avanged!";
					answers = {
							{pos=3, say="I'll avenge your honor!"; nextStep = {"OATHBREAKER"};}
						};
					}
				};
		};
		["OATHBREAKER"] = { -- On compte les Kills
		objectif = "Avenge the Captain";
		count = 10;
		steptype = "KILL";
		tracker = {"Oath-breaker"};
		doOnEachKill = {
				{completionIncMessage = "<rgb=#FF0000>Oath-Breaker killed : ";
				},	
		};
		onCompletion = {
		pushSystemChat = "<rgb=#00FF00>The captain has been avenged";
		pushSplashMessage = "The captain has been avenged !";		
		};
		nextStep = "BACKCAPTAIN",
	};
		["BACKCAPTAIN"] = { 
			objectif = "Return to the Oath-breaker captain"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = {"Oath-breaker Captain", "oath-breaker captain", "breaker Captain", "breaker captain"}; -- string or list of strings
			dials = {
				["START"] = {
					say="Finally! The treason of my men has been punished, and I shall find rest!\n\nNo, not I! We shall find rest, as I finally can rejoin my beloved Olnathron!\n\nThank you, |PLAYER|, thank you from the deepest of our hearts!";
					answers = {
							{pos=3, say="The shade of captain Cedhron faints slowly"; nextStep = {"END"};}
						};
					}
				};
			onCompletion = {
				giveItem = "SKRO_FR_RING_BELOVED";
				pushSplashMessage = "Ring of the Beloved retrieved.";
			};
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "The Defenders' rings";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS4"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 45;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_EN_LESSER-RINGS2";
	description = "Glorfindel and the elven scholars have found records of three magic rings: the Defenders' rings..."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "The elves are worried about the presence of magic rings in Eriador, that could be used by Angmar as weapons. They have found record of three of them, the Defenders' Rings, in the archives of Arthedain. These rings have lastly been seen in Annuminas.";
	-- first line in the adventure diary	
	steps = {
	["START"] = {
	objectif = "Find the brothers' tomb near Minathranc";
	steptype = "QUICKSLOTS";
	slots = {
		{
			picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
			name = "Inspect your map";
			description = "This map was given to you by Forgamthan.";
			tracker = "According to the map, you are at ";
			validation = {"Eriador: Annúminas: 17.4S, 69.2W", "17.3S, 69.2W"};
			chat = Turbine.ChatType.Emote;
			command = "/e According to the map, you are at ;loc";
			successCompletion = {
				pushSystemChat = "<rgb=#00FF00>As you approach he tomb, you see that it already has been looted. You should go and talk to one of the rangers in their camp of Annuminas.";
				pushSplashMessage = "The tomb has been looted!";
				nextStep = "ANNU";
			},
			failedCompletion = {
				pushSystemChat = "<rgb=#FF0000>This is not the defenders' tomb.";
				pushSplashMessage = "This is not the defender's tomb.";
			};
		},
	}
	};
	["ANNU"] = { -- the first step IS "START"
		objectif = "Talk to Eirieniel"; -- objective text
		steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
		tracker = {"Eirieniel", "eirieniel"}; -- string or list of strings
		dials = {
			["START"] = {
				say="Hello there!\nThe tomb of the brothers, you say? No, I don't know precisely where it is, but you may have noticed that the town is invaded by angmarim, at the moment. We try to counter them as we can, but we already are too few to prevent them from destroying and looting the tombs of the kings, so tombs of people of inferior ranks...\n\nPrecious artefacts, you say? Well this is different matter.\nI can't help you, but what I know for sure is that this angmarim force is well organized, and that they keep track of all their findings.\nFor what reason? I don't know. But I know that all the records are kept by their archivist. If you could find these records, I'm sure you'd find if the artefacts you're looking for have been found, and where they have been sent to.";
				answers = {
						{pos=3, say="Thank you for your help."; nextStep = {"ARCHIVIST"};}
					};
				}
			};
		};
	["ARCHIVIST"] = { -- On compte les Kills
		objectif = "Recover the Archivist's log";
		count = 1;
		steptype = "KILL";
		tracker = {"Archivist Ánraig"};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>On the archivist's corpse, you find a long scroll of paper.";
			pushSplashMessage = "Angmarim recourd found!";
			giveItem = "SKRO_EN_ARCHIVIST_PAPER";
		};
		nextStep = "READLOG",
	};
	["READLOG"] = {
			objectif = "Read the angmarim record";
			steptype = "ITEMACTION";
			action = "LOOK";
			item = "SKRO_EN_ARCHIVIST_PAPER";
			nextStep = {"KILL1", "KILL2", "KILL3"} ;
		};
	["KILL1"] = { -- On compte les Kills
		objectif = "Kill Siridán";
		count = 1;
		steptype = "KILL";
		tracker = {"Siridán"};
	onCompletion = {
		pushSystemChat = "<rgb=#00FF00>You killed Siridán and recovered the ring of the Sword.";
		pushSplashMessage = "Ring of the Sword found!";
		giveItem = "SKRO_EN_RING_SWORD";
	};
		nextStep = {"BACKGlorfindelDEF"};
	};
	["KILL2"] = { -- On compte les Kills
		objectif = "Kill Guldurchir";
		count = 1;
		steptype = "KILL";
		tracker = {"Guldurchir"};
onCompletion = {
		pushSystemChat = "<rgb=#00FF00>You killed Guldurchir and recovered the ring of the Spear.";
		pushSplashMessage = "Ring of the Spear found !";
		giveItem = "SKRO_EN_RING_SPEAR";
};
		nextStep = {"BACKGlorfindelDEF"};
	};
	["KILL3"] = { -- On compte les Kills
		objectif = "Kill Roibeard";
		count = 1;
		steptype = "KILL";
		tracker = {"Roibeard"};
onCompletion = {
		pushSystemChat = "<rgb=#00FF00>You killed Roibeard and recovered the ring of the Bow.";
		pushSplashMessage = "Ring of the Bow found !";
		giveItem = "SKRO_EN_RING_BOW";
};
		nextStep = {"BACKGlorfindelDEF"};
	};
	["BACKGlorfindelDEF"] = { 
		objectif = "Talk to Glorfindel in Rivendell"; -- objective text
		steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
		tracker = "Glorfindel"; -- string or list of strings
		requireItem = {"SKRO_EN_RING_SPEAR", "SKRO_EN_RING_SWORD", "SKRO_EN_RING_BOW"};
		dials = {
			["START"] = {
				say="Welcome back, my friend!\n\nIt is well indeed that you retieved those rings, for the enemy was already starting to use them against the Free People. We can only hope that others did not fall in their hands.";
				answers = {
						{pos=3; say="I do my part!"; nextStep = {"END"};}
					};
				}
			};
onCompletion = {
		removeItem = "SKRO_EN_ARCHIVIST_PAPER";
	};
		};
	};
	});
-- 
table.insert(ADVENTURES, {	title = "The ring of the Lookout";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS5"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 25;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_EN_LESSER-RINGS3";
	description = "Glorfindel and the elven scholars have found records of a magic ring: the Ring of the Lookout"; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "The elves are worried about the presence of magic rings in Eriador, that could be used by Angmar as weapons. They have found record of one of them, the Ring of the Lookout, in the archives of Arthedain. This ring has lastly been seen in the hand of an undead lord, in Nan Dhelu.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- On compte les Kills
		objectif = "Kill the master of Nan Dhelu";
		count = 1;
		steptype = "KILL";
		tracker = {"Master of Nan Dhelu"};
onCompletion = {
		pushSystemChat = "<rgb=#00FF00>As you kill the Master of Nan Dhelu, you see his shadow head back to his tomb";
		};
		nextStep = {"GOTOMB"};
		};
		["GOTOMB"] = {objectif = "Find the tomb and retrieve the Ring of the Lookout.";
	steptype = "QUICKSLOTS";
	slots = {
		{
			picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
			name = "Inspect your map";
			description = "This map was given to you by Atharovor.";
			tracker = "According to the map, you are at ";
			validation = "Eriador: Nan Dhelu: 30.4S, 25.4W";
			chat = Turbine.ChatType.Emote;
			command = "/e According to the map, you are at ;loc";
			successCompletion = {
				pushSystemChat = "<rgb=#00FF00>You recover the ring from the tomb.";
				giveItem = "SKRO_EN_RING_LOOKOUT";
				nextStep = "END";
			},
			failedCompletion = {
				pushSystemChat = "<rgb=#FF0000>This is not the wight's tomb.";
				pushSplashMessage = "This is not the right tomb.";
			};
		},
	}
	};
	};
});
-- 
table.insert(ADVENTURES, {	title = "The rings must be destroyed";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS6"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 35;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_EN_LESSER-RINGS4";
	description = "It is not safe for Eriador to keep the lesser rings. They must be destroyed."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "The elves are worried about the presence of magic rings in Eriador, that could be used by Angmar as weapons. They need you help to find a way to destroy them.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Talk to Glorfindel in Rivendell"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say="Well met, |PLAYER|,\n\nYou have already made a great deal for Eriador in finding those rings, but it is too dangerous to keep them, even here. They must be destroyed!\n\nI have long studied the ways of destroying a magic ring, and it cannot be molten in a forge.\nIn the ancient days, nothing could stand the fire of a dragon, but the great dragons of old have all been killed. But for these lesser rings,even the fire of a drake could do.\n\nWith the rise of the Eye, drakes came down drom the north and wander the mountains, north and south of Rivendell. Go and try to get their fire-glands!";
					answers = {
							{pos=3, say="I sure will."; nextStep = {"DRAKE"};}
						};
					}
				}
		};
		["DRAKE"] = {
		objectif = "Find burning acid on drakes";
		count = 6;
		doNotCountKills = true; -- On ne compte pas les kills...
		steptype = "KILL";
		tracker = {"drake", "Drake"};
		doOnEachKill = {
			{
				probability = 75; -- 0 to 100
				pushSystemChat = "<rgb=#FF0000>You manage to extract the fire-gland without breaking it.";
				completionIncCounter = 1; -- ... on compte ici ...
				completionIncMessage = "<rgb=#FF0000>fire gland found : ";
				giveItem = "SKRO_EN_FIRE_GLAND"
			}
		};
		pushSystemChat = "<rgb=#00FF00>6 glands have been found";
		nextStep =  {{"BURN", "BURNBAD"}};
		};
		["BURN"] = {
		objectif = "Destroy one ring using the acid glands";
			steptype = "ITEMACTION";
			action = "GET";
			item = "SKRO_EN_RING_DESTROYED";
			nextStep = "OMG";
		};
		["OMG"] = {
		objectif = "Destroy the other rings using the acid glands";
		steptype = "ITEMACTION";
		action = "GET";
		item = "SKRO_EN_RING_LOOKOUT_ACID";
onCompletion = {
		pushSystemChat = "The ring of the Lookout stays intact. You should go and see Glorfindel at once!";
		pushSplashMessage = "The ring of the lookout is not destroyed!";
		removeItem = {{itemid = "SKRO_EN_RING_DESTROYED", quantity = 5}, {itemid = "SKRO_EN_FIRE_GLAND", quantity = 5}, "SKRO_EN_RING_BELOVED", "SKRO_EN_RING_LOVER", "SKRO_EN_RING_BOW", "SKRO_EN_RING_SPEAR", "SKRO_EN_RING_SWORD"};	
};
		nextStep = "END";
		};
		["BURNBAD"] = {
			steptype = "ITEMACTION";
			action = "GET";
			item = "SKRO_EN_RING_LOOKOUT_ACID";
			nextStep = "STRANGE";
		};
		["STRANGE"] = {
		objectif = "Try to destroy other rings using the burning acid.";

		steptype = "ITEMACTION";
		action = "GET";
		item = "SKRO_EN_RING_DESTROYED";
onCompletion = {
		pushSystemChat = "Tous les anneaux ont été détruits, sauf l'Anneau de la Vigie. Vous devriez aller en parler à Glorfindel!";

		pushSplashMessage = "L'Anneau de la Vigie n'a pas été détruit!";
		removeItem = {{itemid = "SKRO_EN_RING_DESTROYED", quantity = 5}, {itemid = "SKRO_EN_FIRE_GLAND", quantity = 5}, "SKRO_EN_RING_BELOVED", "SKRO_EN_RING_LOVER", "SKRO_EN_RING_BOW", "SKRO_EN_RING_SPEAR", "SKRO_EN_RING_SWORD"};	
};
		nextStep = "END";
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "The corrupted ring";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS7"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 35;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_EN_LESSER-RINGS6";
	description = "Most of the lesser ings have been destroyed by the drakes' fire. But one of them resisted."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "If most of the lesser rings you discovered were molten by the drakes' acid, one of them, the Ring of the Lookout, is still intact.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Talk to Glorfindel in Rivendell"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say="What are you saying, |PLAYER|, one of the rings resisted the fire of the drakes,\n\nThis is a terrible news, because this was the ring that has long been corrupted by a gaunt-lord. It means that evil now flows through this ring, and that it is harder to destroy.\n\nIn this situation, I know only two places where such a ring can be destroyed. One of them is out of reach, as it is in the heart of Mordor and I can't bear to ask someone else to go to this place. The other one is the forge on which the ring was crafted.\n\nThis one, the Ring of the Lookout, has been forged by Ringdor, a prince of Cardolan who was versed in magic and crafting.You should find his crafting post in his tomb, as it was the usage in this time to bury princes with all their belongings...";
					answers = {
							{pos=3, say="I'll go"; nextStep = {{"MORDOR", "GALGAL"}};}
						};
					}
				}
		};
		["GALGAL"] = { -- the first step IS "START"
			objectif = "Find a workshop in the Barrow of Ringdor"; -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = "Watchers' Workshop"; -- string or list of strings
onCompletion = {
			pushSystemChat = "You found Ringdor's workshop!";
			pushSplashMessage = "You found Ringdor's workshop!";
};
			nextStep = "BREAKIT"; -- Next step id or "END"
		};
	-- Mordor: Orodruin
	["MORDOR"] = {
	-- objectif = "Mordor";
	steptype = "QUICKSLOTS";
	slots = {
		{
			picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
			name = "Regardez votre carte";
			description = "A map of Middle-Earth.";
			tracker = "According to the map, you are at ";
			validation = "Mordor: Orodruin";
			chat = Turbine.ChatType.Emote;
			command = "/e According to the map, you are at ;loc";
			successCompletion = {
				pushSystemChat = "<rgb=#00FF00>It may be wiser to find the place where the Ring was crafted...";
				pushSplashMessage = "It's not really necessary...";
				accomplishDeed = "SKRO_EN_RINGBREAKER3";
			},
			failedCompletion = {
				pushSystemChat = "<rgb=#FF0000>You are at the wrong place.";
				pushSplashMessage = "You are at the wrong place.";
			};
		},
	}
	};
		["BREAKIT"] = {
			steptype = "QUICKSLOTS";
			objectif = "Destroy the ring";
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/item-hammer.jpg"; -- 32x32
					succesLuck = 50; -- max 100
					name = "Break the ring"; 
					description = "at least, try to";
					successCompletion = {
						giveItem = "ALPHA-FR-RING_DESTROYED";
						removeItem = "ALPHA-FR-RING_LOOKOUT_ACID";
						pushSystemChat = "The ring shatters to pieces!";
						pushSplashMessage = "Ring of the Lookout destroyed!";
						nextStep = "VICTORY";
					},
					failedCompletion = {
						pushSplashMessage="The ring resists. Try again!";
						nextStep = "BREAKIT";
					}
				}
			};
		};
		["VICTORY"] = { -- the first step IS "START"
			objectif = "Talk to Glorfindel in Rivendell"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say="So you succeeded, |PLAYER|!\n\nI am deeply grateful, because your actions alleviated the weight that pressures us in these dark times.";
					answers = {
							{pos=3, say="I only did my job."; nextStep = {"END"};}
						};
					}
				};
			onCompletion = {	
				removeItem = "SKRO_EN_RING_DESTROYED";
				accomplishDeed = "SKRO_EN_RINGBREAKER1";
			};
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "Other corrupted rings";
	family = "The lesser Rings";
	uniqueID = "SKRO_EN_LESSER-RINGS8"; -- mendatory ; unique !!! (used for the saves)
	language = "EN"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 50;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_EN_LESSER-RINGS7";
	description = "You destroyed some of the lesser rings. But other have already been claimed by Angmar."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "You already have destroyed a fair deal of lesser rings. But Angmar has already claimed several others. Lord Glorfindel requests your help to destroy them.";	-- first line in the adventure diary	
	canRestart = true;
	deleteItemsAtRestart = true;
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Go see Glorfindel"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say="Mae govannen, |PLAYER|.\n\nI'm glad that you answer again to our call, because the news are dire.\nThe rangers of the North have sent us a message. Powerful creatures haunt the surrounding of the dark fortress of Barad Gularan, in Eastern Angmar, and they suspect them to carry corrupted rings.\n\nI need you to go and try to recover them, and to have them destroyed.\n\nWe can call us lucky in our misfortune, because there are also reports of drakes in these lands, on which you should be able to recover fire-glands. We can only hope that the fire of the drake will prove powerful enough to destroy these rings.";
					answers = {
							{pos=3, say="I'll be happy to help."; nextStep = {"GETRINGS", "GETACID"};}
						};
					}
				}
		};
		["GETRINGS"] = {
			objectif = "Find corrupted rings on the gaunts and cargyl of East Angmar";
		count = 5;
		doNotCountKills = true; -- On ne compte pas les kills...
		steptype = "KILL";
		tracker = {"Gaunt Death-lord", "Lithûl"};
		doOnEachKill = {
			{
				probability = 100; -- 0 to 100
				pushSystemChat = "<rgb=#FF0000>This one had a ring on it ";
				completionIncCounter = 1; -- ... on compte ici ...
				completionIncMessage = "<rgb=#FF0000>Rings found : ";
				giveItem = "SKRO_EN_RING_CORRUPT"
			}
		};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>5 rings have been found.";
		};
		nextStep = "BACKAGAIN",
		};
		["GETACID"] = {
			objectif = "Find powerful acid on drake Matrons";
		count = 5;
		doNotCountKills = true; -- On ne compte pas les kills...
		steptype = "KILL";
		tracker = {"Fire-drake Matron"};
		doOnEachKill = {
			{
				probability = 75; -- 0 to 100
				pushSystemChat = "<rgb=#FF0000>You manage to extract the fire-gland without breaking it";
				completionIncCounter = 1; -- ... on compte ici ...
				completionIncMessage = "<rgb=#FF0000>fire gland found : ";
				giveItem = "SKRO_EN_FIRE_GLAND_2"
			}
		};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>5 glands have been found.";
		};
		nextStep = "BACKAGAIN",
		};
		["BACKAGAIN"] = {
	objectif = "Destroy the rings and bring them back to Glorfindel";
	steptype = "TARGET";
	tracker = "Glorfindel";
	successCondition = {
				requireItem = {itemid = "SKRO_EN_RING_DESTROYED", quantity = 5};
				pushSystemChat = "<rgb=#00FF00>\<Glorfindel\></rgb> You were supposed to bring me the rings remains...";
				pushSplashMessage = "Glorfindel is displeased.";
			};
	onCompletion = {
		pushSystemChat = "<rgb=#00FF00>\<Glorfindel\></rgb> >Thank you |PLAYER|! You helped us greatly today. But I fear that other rings remain in the hands of the Enemy...";
		pushSplashMessage = "Glorfindel is pleased. But many other corrupted rings remain...";
		removeItem = {{itemid = "SKRO_EN_RING_DESTROYED", quantity = 5}};
		accomplishDeed = "SKRO_EN_RINGBREAKER2";
	};
		nextStep = "END";
	}

	};
});
-- 

-- Deeds - EN

table.insert(DEEDS, {
	name = "Ring breaker";
	family = "The lesser Rings";
	language = "EN"; -- supports "FR", "EN"
	uniqueID = "SKRO_EN_RINGBREAKER1";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/destru1.tga"; -- 100px x 100px
	description = "You helped the elves to destroy the lesser rings of Eriador.";
});
--
table.insert(DEEDS, {
	name = "Corrupted ring breaker";
	family = "The lesser Rings";
	category = "Hidden deeds";
	uniqueID = "SKRO_EN_RINGBREAKER2";
	language = "EN"; -- supports "FR", "EN"
	unlockCout = 5; -- has to be execute 5 times to complete
	notifyProgress = false;
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/destru2.tga"; -- 100px x 100px
	description = "You helped the elves to destroy many corrupted rings of Angmar.";
	visibility = false; -- hidden
});
--
table.insert(DEEDS, {
	name = "Funeral Doom";

	family = "The lesser Rings";
	category = "Hidden deeds";
	uniqueID = "SKRO_EN_RINGBREAKER3";
	language = "EN"; -- supports "FR", "EN"
	unlockCout = 5; -- has to be execute 5 times to complete
	notifyProgress = false;
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/prouesse-destin.tga"; -- 100px x 100px
	description = "You didn't HAVE TO go all the way to Mount Doom to destroy a lesser ring. But you did.";

	visibility = false; -- hidden
});

-- Items - EN
ITEMS["SKRO_EN_FIRE_GLAND"] = { -- unique id
	name = "Burning drake acid";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/fire-gland.jpg"; -- 32px x 32px
	description = "Caution! Hot";
	OnlyForCampaign = "The lesser Rings";
};

ITEMS["SKRO_EN_FIRE_GLAND_2"] = { -- unique id
	name = "Burning drake matron acid";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/powerful-fire-gland.jpg"; -- 32px x 32px
	description = "Caution! VERY hot";
	OnlyForCampaign = "The lesser Rings";
};

ITEMS["SKRO_EN_RING_DESTROYED"] = { -- unique id
	name = "Ring remains";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-destroyed.jpg"; -- 32px x 32px
	description = "Remains of a lesser ring. Now completely useless";
	OnlyForCampaign = "The lesser Rings";
};

ITEMS["SKRO_EN_RING_LOVER"] = { -- unique id
	name = "The ring of the lover";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-lover.jpg"; -- 32px x 32px
	description = "This magic ring is warm on touch.";
	OnlyForCampaign = "The lesser Rings";
	unique = true;
	onCraft = {
		requireItem = "SKRO_EN_FIRE_GLAND";
		giveItem = "SKRO_EN_RING_DESTROYED";
		removeItem = {"SKRO_EN_FIRE_GLAND", "SKRO_EN_RING_LOVER"};
		pushSystemChat = "As you pour burning acid on the ring, it dissolves."
		}
};

ITEMS["SKRO_EN_RING_BELOVED"] = { -- unique id
	name = "The Ring of the Beloved";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-beloved.jpg"; -- 32px x 32px
	description = "This magic ring is warm on touch.";
	OnlyForCampaign = "The lesser Rings";
	unique = true;
	onCraft = {
		requireItem = "SKRO_EN_FIRE_GLAND";
		giveItem = "SKRO_EN_RING_DESTROYED";
		removeItem = {"SKRO_EN_FIRE_GLAND", "SKRO_EN_RING_BELOVED"};
		pushSystemChat = "As you pour burning acid on the ring, it dissolves."
		}
};

ITEMS["SKRO_EN_RING_SWORD"] = { -- unique id
	name = "The Ring of the Sword";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-sword.jpg"; -- 32px x 32px
	description = "This magic ring is warm on touch.";
	OnlyForCampaign = "The lesser Rings";
	unique = true;
	onCraft = {
		requireItem = "SKRO_EN_FIRE_GLAND";
		giveItem = "SKRO_EN_RING_DESTROYED";
		removeItem = {"SKRO_EN_FIRE_GLAND", "SKRO_EN_RING_SWORD"};
		pushSystemChat = "As you pour burning acid on the ring, it dissolves."
		}
};

ITEMS["SKRO_EN_RING_SPEAR"] = { -- unique id
	name = "The Ring of the Spear";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-spear.jpg"; -- 32px x 32px
	description = "This magic ring is warm on touch.";
	OnlyForCampaign = "The lesser Rings";
	unique = true;
	onCraft = {
		requireItem = "SKRO_EN_FIRE_GLAND";
		giveItem = "SKRO_EN_RING_DESTROYED";
		removeItem = {"SKRO_EN_FIRE_GLAND", "SKRO_EN_RING_SPEAR"};
		pushSystemChat = "As you pour burning acid on the ring, it dissolves."
		}
};

ITEMS["SKRO_EN_RING_BOW"] = { -- unique id
	name = "The Ring of the Bow";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-bow.jpg"; -- 32px x 32px
	description = "This magic ring is warm on touch.";
	OnlyForCampaign = "The lesser Rings";
	unique = true;
	onCraft = {
		requireItem = "SKRO_EN_FIRE_GLAND";
		giveItem = "SKRO_EN_RING_DESTROYED";
		removeItem = {"SKRO_EN_FIRE_GLAND", "SKRO_EN_RING_BOW"};
		pushSystemChat = "As you pour burning acid on the ring, it dissolves."
		}
};

ITEMS["SKRO_EN_RING_LOOKOUT"] = { -- unique id
	name = "The Ring of the Lookout";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-lookout.jpg"; -- 32px x 32px
	description = "This magic ring is cold on touch.";
	OnlyForCampaign = "The lesser Rings";
	unique = true;
	onCraft = {
		requireItem = "SKRO_EN_FIRE_GLAND";
		giveItem = "SKRO_EN_RING_LOOKOUT_ACID";
		removeItem = {"SKRO_EN_FIRE_GLAND", "SKRO_EN_RING_LOOKOUT"};
		pushSystemChat = "The drake's acid doesn't seem to have any effet on this ring."
		}
};

ITEMS["SKRO_EN_RING_LOOKOUT_ACID"] = { -- unique id
	name = "The Ring of the Lookout";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-lookout-acid.jpg"; -- 32px x 32px
	description = "This magic ring is cold on touch. The drake's acid has left a few traces, but it is mostly intact.";
	OnlyForCampaign = "The lesser Rings";
	unique = true;
};

ITEMS["SKRO_EN_RING_CORRUPT"] = { -- unique id
	name = "Corrupted ring";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-bow.jpg"; -- 32px x 32px
	description = "This ring is freezing on touch";
	OnlyForCampaign = "The lesser Rings";
	maxQuantity = 5;
	onCraft = {
		requireItem = {"SKRO_EN_FIRE_GLAND_2"};
		giveItem = "SKRO_EN_RING_DESTROYED";
		removeItem = {"SKRO_EN_FIRE_GLAND_2", "SKRO_EN_RING_CORRUPT"};
		pushSystemChat = "As you pour burning acid on the ring, it dissolves."
		}
};

ITEMS["SKRO_EN_ARCHIVIST_PAPER"] = { -- unique id
	name = "The archivist's records";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/archive.jpg"; -- 32px x 32px
	description = "These records contain all the Angmarim wherabouts in Annuminas.";
	OnlyForCampaign = "The lesser Rings";
	onLook = {pushDiaryMessage="-----------------------------\nYvanneth 9th - Yesterday, We unearthed three rings from a tomb in the city.\nWe still have to test them, so it was decided to split them between three of our men.\n One was given to Siridan, the second to Guldurchir, and the last one to Roibeard.\n[...]\nNarbeleth 1st - Roibeard and 50 men left us, to lead a new expedition in the far north. We have been told that a new relic has been found by locals over there.";
	pushSystemChat = "As you read the archivist logs, you find clues about the defenders' rings.\n They have been found and split among angmarim leaders."};
	unique = true;
};