table.insert(ADVENTURES, { title = "Tout débute à l'auberge";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS1"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 30;
	size = 1;

	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	description = "Toutes les grands daventures démarrent dans une taverne. Celle-ci commencera au Poney Fringant..."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Toutes les grands daventures démarrent dans une taverne. Celle-ci commence au Poney Fringant...";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "parlez à Prosper Poiredebeurré au Poney Fingant"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Prosper Poiredebeurré"; -- string or list of strings
			dials = {
				["START"] = {
					say="Salutations, |PLAYER|!\n\nJe suis vraiment très désolé de vous ennuyer, mais il y quelqu'un qui a demandé à vous voir de toute urgence. \"N'oubliez pas, cette fois-ci Prosper!\" qu'il m'a dit \"Ou je vous fais rôtir pour de bon.\". C'est vraiment quelqu'un, vous savez...\n\nDe qui je parle? Mais de Gandalf le magicien, bien sûr! Un bon ami à moi, si vous voulez savoir, et je suis toujours prêt à aider les amis, et même les amis d'amis... Mais où en étais-je?\n\n Ah oui, Gandalf! Donc \"Poiredebeurré\", il dit, \"j'ai besoin que vous disiez à |PLAYER| que j'ai besoin de son aide le plus tôt possible. Il y a des sujets dangereux dont nous devons discuter de toute urgence.\"\n\"Quels sujets?\" Je lui demande. \"Ce ne sont pas vos affaires de tavernier.\" qu'il me répond \"Mais dites bien à |PLAYER| de venir me retrouver de toute urgence!\" ";
					answers = {
							{pos=2, say="D'accord, mais est-ce qu'il vous a dit où le retrouver?"; nextDial = "WHEREGANDALF"};
							{pos=3, say="Je ne pourrais pas prendre une bière avant?"; nextDial = "BEERGANDALF"};};
						};
				["WHEREGANDALF"] = {
					say="Dans sa chambre, bien sûr! Attendez! Je crois qu'il est parti il y a peu! Ou est-ce qu'il est encore là? Vous savez ce que c'est, on a trop de choses à penser et on finit par n'être plus sûr de rien...\n\nEn tous cas, soit il est dans sa chambre à l'Auberge, soit il est déjà parti vers l'Est, probablement chez ce monsieur Elrond dans la vallée de Fondcombe...";
					answers = {
							{pos=3, say="Merci beaucou. Je pars le retrouver tout de suite!"; nextStep = {"SEEGANDALF"};};
						};
					};
				["BEERGANDALF"] = {
					say="Mais vous n'y pensez pas! Il a dit \"de toute urgence\"! C'est ma peau que je risque si jamais vous arriviez trop tard! Allez le voir dans sa chambre! Ou bien est-ce qu'il est déjà parti vers l'Est?\n\n Allez voir dans sa chambre, et sinon, il sera probablement chez ce monsieur Elrond dans la vallée de Fondcombe... ";
					answers = {
							{pos=2, say="D'accord, d'accord, j'y vais..."; nextStep = {"SEEGANDALF"};};
							{pos=3, say="Et pour la bière, c'est toujours non?"; nextDial = "NOBEER";};
						};
					};
				["NOBEER"] = {
					say="Certainement pas! Dépêchez-vous, maintenant!";
					answers = {
							{pos=2, say="D'accord, d'accord, j'y vais..."; nextStep = {"SEEGANDALF"};};
							{pos=3, say="Vraiment pas?"; nextDial = "NOBEER2";};
						};
					};
				["NOBEER2"] = {
					say="J'ai dit non!";
					answers = {
							{pos=2, say="D'accord, d'accord, j'y vais..."; nextStep = {"SEEGANDALF"};};
							{pos=3, say="Allez, soyez sympa!"; nextDial = "NOBEER";};
						};
					};
				};
		};
		["SEEGANDALF"] = { -- the first step IS "START"
			objectif = "Parlez à Gandalf"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Gandalf"; -- string or list of strings
			requireExactName = true;
			dials = {
				["START"] = {
					say="Bonjour mon ami!\nJe suis heureux de voir que ce cher Prosper n'a pour une fois pas oublié de faire passer ma commission. Je lui ai parlé d'affaires urgentes et dangereuses, et vous savez bien qu'un Magicien ne parle jamais légèrement.\n\nVous avez bien évidemment connaissance, |PLAYER|, du périple de nos chers hobbits, mais leur fardeau n'est pas le seul péril qui plane sur ces terres.\nDe tous les anneaux magiques, il est surtout fait mention des Neuf, et des Sept, et des Trois, sans même parler de l'Anneau Unique, mais il y eut également de nombreux anneaux magiques, forgés dans des buts divers, et qui reposent encore en Terre du Milieu.\nNos rapports font état de ce que l'ombre qui grandit en Angmar recherche activement ces anneaux \"mineurs\", Et nous craignons qu'ils puissent servir d'armes contre l'Eriador.\n\nGlorfindel est un vieil ami, versé dans les récits de l'ancien temps, et je lui ai déjà demandé de se pencher sur le sujet. Il aura certainement des informations pour vous.\nVous le trouverez près des chutes d'Imladris.";
					answers = {
							{pos=3, say="J'y vais de ce pas!"; nextStep = {"END"};}
						};
					}
				}
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "La demande d'un Magicien";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS2"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 30;
	size = 1;
	

	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_FR_LESSER-RINGS1";
	description = "Gandalf vous a demandé d'aller voir Glorfindel, à Fondcombe, pour l'aider à étudier la menace des anneaux mineurs qui plane sur l'Eriador."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Gandalf vous a demandé d'aller voir Glorfindel, à Fondcombe, pour l'aider à étudier la menace des anneaux mineurs qui plane sur l'Eriador.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Parlez à Glorfindel à Fondcombe"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say = "Bienvenue, |PLAYER|, dans la demeure d'Elrond semi-elfe.\nSi vous êtes parmi nous, c'est certainement parce que Gandalf vous a parlé de nos inquiétudes concernant les anneaux magiques d'Eriador. Ne soyez pas trompé par leur nom ou leur apparence, ce ne sont point des objets mineurs car la magie des anciens temps est encore vivace en eux.\nDans les mains du Mal qui se tapit en Angmar, ils pourraient devenir des armes destructrices, en corrompant l'esprit de leur porteur, pour le transformer en esclave du Seigneur Ténébreux.\nC'est pour cela que nous devons les trouver avant les forces d'Angmar!\n\n J'ai demandé à trois des érudits les plus brillants de rechercher dans nos archives des traces de tels anneaux. Vous devriez aller voir ce qu'ils ont pu découvrir.";
					answers = {
							{pos=3, say="Je m'y rends."; nextStep = {"SCHOL1"};}
						};
					}
				}
		};
		["SCHOL1"] = { -- the first step IS "START"
			objectif = "Parlez à Forgamthan"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Forgamthan"; -- string or list of strings
			dials = {
				["START"] = {
					say = "Bonjour |PLAYER|,\nEffectivement, le seigneur Glorfindel a fait appel à mon expertise de l'histoire de l'Eriador pour retrouver la trace d'anneaux. J'ai trouvé mention de trois d'entre eux dans les archives d'Arnor, appelés les Anneaux des Défenseurs. Dans les premières années de cet Age, trois anneaux furent fabriqués et donnés à trois frères, tous trois capitaines de la garde à Annuminas. Harndir, l'aîné, était célèbre pour ses prouesses à l'épée. Tognirion, le cadet, était versé dans la voie de la lance. Quant au benjamin, Fardir, sa maitrise de l'arc était sans pareil.\nLes récits de l'époque laissent entendre que leurs exploits étaient dûs à leurs anneaux, et à leur mort, ils furent enterrés avec eux.\n\nJ'ai réussi à retrouver l'emplacement de la tombe des trois frères. Vous devriez parler de cette piste au seigneur Glorfindel.";
					answers = {
							{pos=3, say="Je n'y manquerai pas."; nextStep = {"SCHOL2"};}
						};
					}
				};
			onCompletion = {
				pushDiaryMessage = "Après vous avoir parlé des Anneaux des Défenseurs, Forgamthan vous donne une carte:\n";
				pushDiaryPicture = {
				width=170; --max 260 
				height=118; 
				picture="WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/map-annu.jpg";
				};
				pushSplashMessage = "Forgamthan vous donne une carte";
			};
		};
		["SCHOL2"] = { -- the first step IS "START"
			objectif = "Parlez à Mirwen"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Mirwen"; -- string or list of strings
			dials = {
				["START"] = {
					say="Mae govannen, |PLAYER|!\nIl y a de nombreux récits en Eriador au sujet d'anneaux magiques, mais la plupart ne sont que des légendes, sans lien avec la réalité. Mais l'un de ceux que j'ai trouvé semble avoir une base plus solide.\n\nDans le palais de Tham Lorn vivait une princesse, qui avait fait forger deux anneaux, pour attacher son destin à celui de l'homme qu'elle aimerait. Il est intéressant que cette histoire ait subsisté, car l'histoire ne lui a connu aucun amant. Selon la tradition d'Arthedain, elle fut enterrée avec toutes ses possessions, donc, selon toute vraisemblance, ses anneaux.\n\nVous devriez demander son avis au seigneur Glorfindel, mais pour moi, il serait sage d'aller inspecter la tombe de la princesse Olnathron.";
					answers = {
							{pos=3, say="Merci! J'en parlerai au seigneur Glorfindel."; nextStep = {"SCHOL3"};}
						};
					}
				};
			onCompletion = {
				pushDiaryMessage = "Après vous avoir parlé des Anneaux des Amoureux, Mirwen vous donne une carte:\n";
				pushDiaryPicture = {
					width=131; --max 260 
					height=93; 
					picture="WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/map-fornost.jpg";
				};
				pushSplashMessage = "Mirwen vous donne une carte";
			};
		};
		["SCHOL3"] = { -- the first step IS "START"
			objectif = "Parlez à Atharovor"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Atharovor"; -- string or list of strings
			dials = {
				["START"] = {
					say="Suilad, mellon.\nJe ne sais pas ce que mes collègues on pu vous apprendre, mais mes découvertes sont inquiétantes.\nJ'ai trouvé la trace d'un anneau magique, qui était la propriété du chef de la garde de la tour de guet d'Amon Sûl. On l'appelait l'Anneau de la Vigie, car il était le symbole de la garde de cette garnison contre les assauts du Rudhaur.\n\nLas, une nuit, une petite force d'hommes du Rudhaur réussit à s'introduire dans la forteresse. La plupart fut tuée, mais pas tous, car au matin, l'anneau avait disparu.\n\nPeu après, la forteresse tombait sous les coups de l'Angmar. Mais des témoins affirment que lors de l'assaut final, l'un des chefs du Rudhaur portait l'Anneau de la Vigie, et que le Roi-Sorcier lui offrit, en récompense de ses services, la forteresse de Nan Dhelu.\n\nVous devriez raconter cette histoire au seigneur Glorfindel, il saura certainement quelle conduite tenir.";
					answers = {
							{pos=3, say="C'est effectivement une histoire inquiétante."; nextStep = {"BACKGlorfindel"};}
						};
					}
				}
		};
		["BACKGlorfindel"] = { -- the first step IS "START"
			objectif = "Retournez voir Glorfindel"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say="Voici des histoires très intéressantes, |PLAYER|.\n\nIl n'y a qu'un moyen de déterminer leur véracité: aller enquêter sur place.\n\nHélas, nous sommes trop peu nombreux, mais si vous pouviez nous apporter votre aide... ";
					answers = {
							{pos=3, say="J'en serais honoré."; nextStep = {"END"};}
						};
					}
				}
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "Les Anneaux des Amoureux";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS3"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 25;
	size = 1;


	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_FR_LESSER-RINGS2";
	description = "Glorfindel et les érudits elfes ont trouvé la trace de deux anneaux mineurs: les Anneaux des Amoureux."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Les elfes s'inquiètent de la présence d'anneaux magiques en Eriador, que l'Angmar pourrait utiliser comme armes contre les Peuples Libres. Ils ont trouvé la trace de deux d'entre eux, les Anneaux des Amoureux, dans les archives d'Arthedain. Ces anneaux ont été vus pour la dernière fois près de Fornost Erain.";	-- first line in the adventure diary	
	steps = {
		["START"] = {
	objectif = "Trouvez et fouillez la tombe d'Olnathron";
	steptype = "QUICKSLOTS";
	slots = {
		{
			picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
			name = "regarder la carte";
			description = "Cette carte vous a été donnée par Mirwen.\nElle vous aidera à trouver la tombe d'Olnathron.";
			tracker = "D'après la carte, vous êtes à ";
			validation = "10.1S, 57.7W";
			chat = Turbine.ChatType.Emote;
			command = "/e D'après la carte, vous êtes à ;loc";
			successCompletion = {
				pushSystemChat = "<rgb=#00FF00>Vous avez trouvé la tombe, mais elle est vide!\nNi les restes d'Olnathron ni les anneaux ne sont là...";
				pushSplashMessage = "La tombe est vide!";
				nextStep = "THAMLORN";
			},
			failedCompletion = {
				pushSystemChat = "<rgb=#FF0000>Ce n'est pas la bonne tombe";
				pushSplashMessage = "Vous n'êtes pas au bon endroit...";
			},
		},
				
	}
};
		["THAMLORN"] = {
			objectif = "Trouvez Olnathron à Tham Lorn"; -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = "Olnathron"; -- string or list of strings
			nextStep = "OLNATHRON"; -- Next step id or "END"
		};
		["OLNATHRON"] = {
			objectif = "Parlez à Olnathron"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Olnathron";			-- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say="Etes-vous venu ici pour mépriser mon sort, mortel, ou venez-vous partager ma misère?\n\nAutrefois, j'étais une princesse, et désormais j'erre ici, seule et abandonnée. Ecoutez mon histoire!\n\nJ'étais jeune et insouciante, et je fis, sur un caprice, forger une paire d'anneaux par un maître joailler. Si je portais l'un d'entre eux et que mon aimé portait l'autre, nos destinées seraient liées, m'avait-il dit. Et je tombais amoureuse. Il s'appelait Cedhron, il était grand, il était beau, ses cheveux étaient noirs comme la nuit et ses yeux bleus comme le ciel d'été.\n\n Bénis furent les jours où nous étions ensemble, car il ne me quittait jamais, et était un merveilleux amant. Las, la guerre vint sur nos terres, et il dut me quitter, car il était capitaine de la garde, et notre amour était secret.\n\nJe reviendrai vite, m'avait-il dit, et nous serons heureux pour toujours. Mais jamais il ne revint. Et ma peine grandit, grandit tant que j'en mourus.\n\nMais même dans la mort, nous ne sommes pas réunis. Mon Cedhron m'a-t-il trahi? Se languit-il de moi comme je me languis de lui?\n\nPrenez cet anneau, qui vous conduira vers lui. Mon âme est prisonnière entre ses murs, mais je sais que quand nos anneaux seront réunis, nous le serons aussi.";
					answers = {
							{pos=3, say="Je retrouverai Cedhron et vous libérerai de cette malédiction!"; nextStep = {"CAPTAIN"};}
						};
					}
				};
			OnCompletion = {
				giveItem = "SKRO_FR_RING_LOVER";
				pushSplashMessage = "Anneau de l'Amant récupéré.";
			};
		};
		["CAPTAIN"] = { -- the first step IS "START"
			objectif = "Trouvez le capitaine à l'est des champs de Fornost"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = {"Capitaine parjure", "capitaine parjure"}; -- string or list of strings
			dials = {
				["START"] = {
					say="Qui vient? Qui ose?\nCet anneau! Impossible! Vous paierez pour ce vol!\n\nComment? Olnathron vous l'a donné?\nOlnathron mon aimée, maudite, à cause de moi?\n\nNous partîmes à la guerre, comme elle vous l'a dit, mais mon amour m'aveuglait. Je ne vis pas le complot que mes hommes fomentais contre le roi et contre moi. Nous avions juré de protéger Arnor, et ils se parjurèrent. Ils me tuèrent et passèrent à l'ennemi.\nMais je suis leur chef, et je dois partager leur funeste destin, jusqu'à ce que ma mort soit vengée!";
					answers = {
							{pos=3, say="Je vous vengerai!"; nextStep = {"OATHBREAKER"};}
						};
					}
				};
		};
		["OATHBREAKER"] = { -- On compte les Kills
		objectif = "Vengez le Capitaine";
		count = 10;
		steptype = "KILL";
		tracker = {"parjure", "Parjure"};
		doOnEachKill = {
				{completionIncMessage = "<rgb=#FF0000>Parjure tué : ";
				},	
		};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>Le capitaine a été vengé.";
			pushSplashMessage = "Le capitaine a été vengé !";		
		};
		nextStep = "BACKCAPTAIN";
	};
		["BACKCAPTAIN"] = { 
			objectif = "Retournez voir le capitaine"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = {"Capitaine parjure", "capitaine parjure"}; -- string or list of strings
			dials = {
				["START"] = {
					say="Enfin! la trahison de mes hommes a été punie, et je vais trouver le repos!\n\nNon, pas moi! Nous allons trouver le repos, car je vais enfin retrouver ma bien-aimée Olnathron!\n\nMerci, |PLAYER|, merci du plus profond de nos coeurs!";
					answers = {
							{pos=3, say="L'ombre du capitaine Cedhron disparait lentement"; nextStep = {"END"};}
						};
					}
				};
			onCompletion = {
				giveItem = "SKRO_FR_RING_BELOVED";
				pushSplashMessage = "Anneau de l'Aimé récupéré.";
			};
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "Les Anneaux des Défenseurs";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS4"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 45;
	size = 1;


	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_FR_LESSER-RINGS2";
	description = "Glorfindel et les érudits elfes ont trouvé la trace de trois anneaux mineurs: les Anneaux des Défenseurs..."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "es elfes s'inquiètent de la présence d'anneaux magiques en Eriador, que l'Angmar pourrait utiliser comme armes contre les Peuples Libres. Ils ont trouvé la trace de trois d'entre eux, les Anneaux des Défenseurs, dans les archives de l'Arthedain. Ces anneaux ont été vus pour la dernière fois à Annuminas.";
	-- first line in the adventure diary	
	steps = {
	["START"] = {
	objectif = "Trouvez la tombe des frères près de Minathranc";
	steptype = "QUICKSLOTS";
	slots = {
		{
			picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
			name = "Regarder la carte";
			description = "Cette carte vous a été donnée par Forgamthan.";
			tracker = "D'après la carte, vous êtes à ";
			validation = {"Eriador: Annuminas: 17.4S, 69.2W", "17.3S, 69.2W"};
			chat = Turbine.ChatType.Emote;
			command = "/e D'après la carte, vous êtes à ;loc";
			successCompletion = {
				pushSystemChat = "<rgb=#00FF00>En approchant de la tombe, vous vous rendez compte qu'elle a déjà été pillée. Vous devriez avertir l'un des rôdeurs à Annuminas.";
				pushSplashMessage = "La tombe a été pillée!";
				nextStep = "ANNU";
			},
			failedCompletion = {
				pushSystemChat = "<rgb=#FF0000>Ce n'est pas la tombe des trois frères.";
				pushSplashMessage = "Ce n'est pas la tombe des trois frères.";
			};
		},
	}
	};
	["ANNU"] = { -- the first step IS "START"
		objectif = "Parlez à Eirieniel"; -- objective text
		steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
		tracker = {"Eirieniel", "eirieniel"}; -- string or list of strings
		dials = {
			["START"] = {
				say="Bonjour, vous!\nLa tombe des trois frères, vous dites? Non, je ne sais pas où elle se situe précisément, mais au cas où vous ne l'auriez pas remarqué, nous sommes actuellement attaqués par les angmarim, en ce moment. Nous tentons de les contenir autant que possible, mais nous n'arrivons même pas à les empêcher de piller les tombes de nos rois, alors les tombes des gens d'un rang inférieur...\n\nDes artfacts? Alors c'est autre chose.\nJe ne peux pas vous aider directement, mais ce que je peux vous dire, c'est que les angmarim sont extrèmement organisés et qu'ils gardent une trace de toutes leurs découvertes importantes.\nPourquoi? Je n'en sais rien. Mais leur archiviste note tout. Si vous pouviez fouiller ses papiers, vous trouveriez sûrement les informations que vous cherchez sur ces objets.";
				answers = {
						{pos=3, say="Merci de votre aide."; nextStep = {"ARCHIVIST"};}
					};
				}
			};
		};
	["ARCHIVIST"] = { -- On compte les Kills
		objectif = "Récupérez les registres de l'Archiviste";
		count = 1;
		steptype = "KILL";
		tracker = {"Anraig l’Archiviste"};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>Sur le cadavre de l'archiviste, vous trouvez une liasse de papiers.";
			pushSplashMessage = "Archives angmarim trouvées!";
			giveItem = "SKRO_FR_ARCHIVIST_PAPER";
		};
		nextStep = "READLOG";
	};
	["READLOG"] = {
			objectif = "Lisez les archives angmarim";
			steptype = "ITEMACTION";
			action = "LOOK";
			item = "SKRO_FR_ARCHIVIST_PAPER";
			nextStep = {"KILL1", "KILL2", "KILL3"} ;
		};
	["KILL1"] = { -- On compte les Kills
		objectif = "Tuez Siridan";
		count = 1;
		steptype = "KILL";
		tracker = {"Siridan"};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>vous avez tué Siridan et récupéré l'Anneau de l'Epée.";
			pushSplashMessage = "Anneau de l'Epée trouvé!";
			giveItem = "SKRO_FR_RING_SWORD";
		};
		nextStep = {"BACKGlorfindelDEF"};
	};
	["KILL2"] = { -- On compte les Kills
		objectif = "Tuez Guldurchir";
		count = 1;
		steptype = "KILL";
		tracker = {"Guldurchir"};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>Vous avez tué Guldurchir et récupéré l'Anneau de la Lance.";
			pushSplashMessage = "Anneau de la Lance trouvé !";
			giveItem = "SKRO_FR_RING_SPEAR";
		};
		nextStep = {"BACKGlorfindelDEF"};
	};
	["KILL3"] = { -- On compte les Kills
		objectif = "Tuez Barberoi";
		count = 1;
		steptype = "KILL";
		tracker = {"Barberoi"};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>Vous avez tué Barberoi et récupéré l'Anneau de l'Arc.";
			pushSplashMessage = "Anneau de l'Arc trouvé !";
			giveItem = "SKRO_FR_RING_BOW";
		};
		nextStep = {"BACKGlorfindelDEF"};
	};
	["BACKGlorfindelDEF"] = { 
		objectif = "Parlez à Glorfindel à Fondcombe"; -- objective text
		steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
		tracker = "Glorfindel"; -- string or list of strings
		requireItem = {"SKRO_FR_RING_SPEAR", "SKRO_FR_RING_SWORD", "SKRO_FR_RING_BOW"};
		dials = {
			["START"] = {
				say="Bienvenue, mon ami!\n\nJ'ai bien fait de vous envoyer récupérer ces anneaux, car il semble bien que l'Ennemi se prépare à les utiliser contre les Peuples Libres. J'espère seulement que d'autres ne sont pas déjà tombés entre ses mains.";
				answers = {
						{pos=3; say="Je n'ai fait que mon devoir!"; nextStep = {"END"};}
					};
				}
			};
		onCompletion = {
			removeItem = "SKRO_FR_ARCHIVIST_PAPER";
		};
	};
	};
	});
-- 
table.insert(ADVENTURES, {	title = "L'Anneau de la Vigie";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS5"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 25;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_FR_LESSER-RINGS2";
	description = "Glorfindel et les érudits elfes ont trouvé la trace d'un anneau mineur: l'Anneau de la Vigie"; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "es elfes s'inquiètent de la présence d'anneaux magiques en Eriador, que l'Angmar pourrait utiliser comme armes contre les Peuples Libres. Ils ont trouvé la trace de l'un d'entre eux, l'Anneau de la Vigie, dans les archives d'Arthedain. Cet anneau a été vu pour la dernière fois au doigt d'un seigneur décharné, à Nan Dhelu.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- On compte les Kills
		objectif = "Tuez le Maître de Nan Dhelu";
		count = 1;
		steptype = "KILL";
		tracker = {"Maître de Nan Dhelu"};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>Alors que vous tuez le Maître de Nan Dhelu, vous voyez son ombre se diriger vers sa tombe";
		};
		nextStep = {"GOTOMB"};
		};
		["GOTOMB"] = {objectif = "Trouvez la tombe du Maître de Nan Dhelu et récupérez l'Anneau de la Vigie.";
	steptype = "QUICKSLOTS";
	slots = {
		{
			picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
			name = "Regardez votre cartep";
			description = "cette carte vous a été donnée par Atharovor.";
			tracker = "D'après la carte, vous êtes à ";
			validation = "Eriador: Nan Dhelu: 30.4S, 25.4W";
			chat = Turbine.ChatType.Emote;
			command = "/e D'après la carte, vous êtes à ;loc";
			successCompletion = {
				pushSystemChat = "<rgb=#00FF00>Vous ouvrez la tombe et récupérez l'anneau.";
				pushSplashMessage = "Anneau de la Vigie Récupéré.";
				giveItem = "SKRO_FR_RING_LOOKOUT";
				nextStep = "END";
			},
			failedCompletion = {
				pushSystemChat = "<rgb=#FF0000>Ca n'est pas la tombe du seigneur décharné.";
				pushSplashMessage = "Ce n'est pas la bonne tombe.";
			};
		},
	}
	};
	};
});
-- 
table.insert(ADVENTURES, {	title = "Les anneaux doivent être détruits";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS6"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 35;
	size = 1;

	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = {"SKRO_FR_LESSER-RINGS3", "SKRO_FR_LESSER-RINGS4", "SKRO_FR_LESSER-RINGS5"};
	description = "Il n'est pas sûr de conserver les anneaux mineurs. Ils doivent être détruits."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Les elfes sont inquiets de la présence d'anneaux mineurs en Eriador, car l'Angmar pourrait s'en servir d'armes. Ils ont besoin de vous pour les aider à détruire ces anneaux.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Parlez à Glorfindel à Fondcombe"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say="Salutations, |PLAYER|.\n\nVous avez déjà fait de grandes choses pour l'Eriador en trouvant ces anneaux, mais il est trop dangereux de les conserver, même en ces lieux. Ils doivent être détruits!\n\nJ'ai longtemps étudié la façon de disposer de ces objets, car ils ne peuvent simplement être détruits à la forge.\nDans les anciens temps, on disait que rien, même les anneaux, ne pouvait résister au feu d'un dragon, mais les grands dragons de l'ancien temps sont tous morts. Pour ces anneaux mineurs, cependant, le simple feu d'un drake suffirait.\n\nDepuis le réveil de l'Oeil, les drakes sont descendus des montagnes et on en trouve jusqu'autour de Fondcombe. Allez récupérer leurs glandes de feu!";
					answers = {
							{pos=3, say="Je m'en charge."; nextStep = {"DRAKE"};}
						};
					}
				}
		};
		["DRAKE"] = {
		objectif = "Trouvez de l'acide brûlant sur les drakes";
		count = 6;
		doNotCountKills = true; -- On ne compte pas les kills...
		steptype = "KILL";
		tracker = {"drake", "Drake"};
		doOnEachKill = {
			{
				probability = 75; -- 0 to 100
				pushSystemChat = "<rgb=#FF0000>Vous parvenez à extraire la glande d'acide brûlant du drake sans la détruire.";
				completionIncCounter = 1; -- ... on compte ici ...
				completionIncMessage = "<rgb=#FF0000>Glande d'acide brûlant trouvées : ";
				giveItem = "SKRO_FR_FIRE_GLAND"
			}
		};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>6 glandes ont été trouvées";
		};
		nextStep = {{"BURN", "BURNBAD"}};
		};
		["BURN"] = {
		objectif = "Détruisez un anneau en utilisant les glandes de drake";
			steptype = "ITEMACTION";
			action = "GET";
			item = "SKRO_FR_RING_DESTROYED";
			nextStep = "OMG";
		};
		["OMG"] = {
		objectif = "Détruisez les autres anneaux à l'aide de l'acide brûlant";
		steptype = "ITEMACTION";
		action = "GET";
		item = "SKRO_FR_RING_LOOKOUT_ACID";
		onCompletion = {
			pushSystemChat = "l'Anneau de la Vigie reste intact. Vous devriez en parler à Glorfindel immédiatement!";
			pushSplashMessage = "L'Anneau de la Vigie n'a pas été détruit!";
			removeItem = {{itemid = "SKRO_FR_RING_DESTROYED", quantity = 5}, {itemid = "SKRO_FR_FIRE_GLAND", quantity = 5}, "SKRO_FR_RING_BELOVED", "SKRO_FR_RING_LOVER", "SKRO_FR_RING_BOW", "SKRO_FR_RING_SPEAR", "SKRO_FR_RING_SWORD"};	
		};
		nextStep = "END";
		};
		["BURNBAD"] = {
			steptype = "ITEMACTION";
			action = "GET";
			item = "SKRO_FR_RING_LOOKOUT_ACID";
			nextStep = "STRANGE";
		};
		["STRANGE"] = {
		objectif = "Essayez de détruire les autres anneaux ave l'acide brûlant";
		steptype = "ITEMACTION";
		action = "GET";
		item = "SKRO_FR_RING_DESTROYED";
		onCompletion = {
			pushSystemChat = "Tous les anneaux ont été détruits, sauf l'Anneau de la Vigie. Vous devriez aller en parler à Glorfindel!";
			pushSplashMessage = "L'Anneau de la Vigie n'a pas été détruit!";
			removeItem = {{itemid = "SKRO_FR_RING_DESTROYED", quantity = 5}, {itemid = "SKRO_FR_FIRE_GLAND", quantity = 5}, "SKRO_FR_RING_BELOVED", "SKRO_FR_RING_LOVER", "SKRO_FR_RING_BOW", "SKRO_FR_RING_SPEAR", "SKRO_FR_RING_SWORD"};	
		};
		nextStep = "END";
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "L'anneau corrompu";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS7"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 35;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_FR_LESSER-RINGS6";
		canRestart = true;

	description = "La plupart des anneaux mineurs a été détruit. Mais l'un d'entre eux a résisté au feu des drakes."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "La plupart des anneaux mineurs a été détruit. Mais l'un d'entre eux, l'anneau de la Vigie a résisté au feu des drakes et est encore intact.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Parlez à Glorfindel à Fondcombe"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			autostart = true;
			dials = {
				["START"] = {
					say="Que dites-vous, |PLAYER|, un des anneaux a résisté au feu des drakes?\n\nC'est une très mauvaise nouvelle, d'autant plus qu'il s'agit de l'anneau qui a été longtemps porté par le seigneur décharné de Nan Dhelu. Cela veut dire qu'il a été corrompu par le mal de son porteur, et qu'il va être plus difficile à détruire.\n\nDans ce cas, je ne vois que deux endroits où un tel anneau pourrait être détruit. L'un d'entre eux est hors d'atteinte, car il se trouve au coeur du Mordor, et je ne pourrais voir quelqu'un d'autre partir en ces lieux. L'autre, c'est de retrouver la forge où cet anneau a été forgé.\n\nCelui-ci l'a été par Ringdor, un prince du Cardolan expert des arts magiques et de l'artisanat. Vous devriez pouvoir retrouver son atelier dans les ruines de son galgal...";
					answers = {
							{pos=3, say="Je vais y aller."; nextStep = {{"MORDOR", "GALGAL"}};}
						};
					}
				}
		};
		["GALGAL"] = { -- the first step IS "START"
			objectif = "Trouvez un atelier dans le galgal de Ringdor"; -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = "Atelier des Veilleurs"; -- string or list of strings
			onCompletion = {
				pushSystemChat = "Vous avez trouvé l'atelier de Ringdor!";
				pushSplashMessage = "Vous avez trouvé l'atelier de Ringdor!";
			};
			nextStep = "BREAKIT"; -- Next step id or "END"
		};
		-- Mordor: Orodruin
	["MORDOR"] = {
	-- objectif = "Mordor";
		steptype = "QUICKSLOTS";
		slots = {
			{
				picture = "YourOwnAdventuresScripts/testpicts/skill_map.jpg"; -- 32x32
				name = "Regardez votre carte";
				description = "Une carte de la Terre du Milieu.";
				tracker = "D'après la carte, vous êtes à ";
				validation = "Mordor: Orodruin";
				chat = Turbine.ChatType.Emote;
				command = "/e D'après la carte, vous êtes à ;loc";
				successCompletion = {
					pushSystemChat = "<rgb=#00FF00>Peut-être serait-il plus sage d'essayer de trouver l'endroit où l'anneau a été fabriqué...";
					pushSplashMessage = "Ce n'est peut-être pas nécessaire...";
					accomplishDeed = "SKRO_FR_RINGBREAKER3";
				},
				failedCompletion = {
					pushSystemChat = "<rgb=#FF0000>Vous n'êtes pas au bon endroit.";
					pushSplashMessage = "Vous n'êtes pas au bon endroit.";
				};
			},
		}
	};
		["BREAKIT"] = {
			steptype = "QUICKSLOTS";
			objectif = "Détruisez l'Anneau";
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/item-hammer.jpg"; -- 32x32
					succesLuck = 50; -- max 100
					name = "Brisez l'anneau"; 
					description = "enfin, essayez";
					successCompletion = {
						giveItem = "SKRO_FR_RING_DESTROYED";
						removeItem = "SKRO_FR_RING_LOOKOUT_ACID";
						pushSystemChat = "Vous brisez l'anneau!";
						pushSplashMessage = "Anneau de la Vigie détruit!";
						nextStep = "VICTORY";
					},
					failedCompletion = {
						pushSplashMessage="L'anneau résiste. Essayez encore!";
						nextStep = "BREAKIT";
					}
				}
			};
		};
		
		["VICTORY"] = { -- the first step IS "START"
			objectif = "Parlez à Glorfindel à Fondcombe"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say="Ainsi vous avez réussi, |PLAYER|!\n\nJe vous en suis grandement reconnaissant, ainsi que tout l'Eriador, car vous allégez le poids de la menace qui pèse sur nos terres.";
					answers = {
							{pos=3, say="Je n'ai fait que mon travail."; nextStep = {"END"};}
						};
					}
				};
			onCompletion = {
				removeItem = {{itemid = "SKRO_FR_RING_DESTROYED", quantity = 5}};
				accomplishDeed = "SKRO_FR_RINGBREAKER1";
			};
		};
	};
});
-- 
table.insert(ADVENTURES, {	title = "D'autres anneaux corrompus";
	family = "Les anneaux mineurs";
	uniqueID = "SKRO_FR_LESSER-RINGS8"; -- mendatory ; unique !!! (used for the saves)
	language = "FR"; -- supports "FR", "EN"
	author = "Skro";
	version = "0.1.0";
	levelMin = 50;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/header_noleth.tga";
	requireCompletion = "SKRO_FR_LESSER-RINGS7";
	description = "Vous avez détruit certains des anneaux mineurs. Mais d'autres anneaux ont déjà été récupérés par l'Angmar."; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Vous avez détruit certains des anneaux mineurs. Mais d'autres anneaux ont déjà été récupérés par l'Angmar. Glorfindel demande à nouveau votre aide pour les détruire.";	-- first line in the adventure diary	
	canRestart = true;
	deleteItemsAtRestart = true;
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Allez voir Glorfindel"; -- objective text
			steptype = "TALKTREE"; -- the player have to select a target named in the tracker						
			tracker = "Glorfindel"; -- string or list of strings
			dials = {
				["START"] = {
					say="Mae govannen, |PLAYER|.\n\nJe suis heureux que vous veniez à nouveau à notre aide, car les nouvelles sont mauvaises.\nLes Rôdeurs du Nord nous ont envoyé un message. Des créatures puissantes hantent les alentours de Barad Gularan, dans le nord-est de l'Angmar, Et ils craignent qu'elles ne portent des anneaux corrompus.\n\nJ'aurais besoin que vous alliez les récupérer et les détruire.\n\nNous sommes heureux dans notre malheur, car de puissants drakes rôdent également dans ses parages, dont le feu est plus puissant que ceux qui sont descendus jusqu'ici. Il nous faut espérer qu'il sera suffisant pour détruire les anneaux...";
					answers = {
							{pos=3, say="Avec plaisir."; nextStep = {"GETRINGS", "GETACID"};}
						};
					}
				}
		};
		["GETRINGS"] = {
			objectif = "Trouvez des anneaux corrompus sur les seigneurs décharnés et les cargyl de Nan Gurth";
		doNotCountKills = true; -- On ne compte pas les kills...
		count = 5;
		steptype = "KILL";
		tracker = {"Seigneur mort décharné", "Cargûl mortel"};
		doOnEachKill = {
			{
				probability = 100; -- 0 to 100
				completionIncCounter = 1; -- ... on compte ici ...
				completionIncMessage = "<rgb=#FF0000>Anneaux trouvés : ";
				giveItem = "SKRO_FR_RING_CORRUPT"
			}
		};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>Vous avez trouvé 5 anneaux.";
		};
		nextStep = "BACKAGAIN",
		};
		["GETACID"] = {
			objectif = "Trouvez des glandes d'acide sur les matriarches drake";
		count = 5;
		doNotCountKills = true; -- On ne compte pas les kills...
		steptype = "KILL";
		tracker = {"Matriarche drake de feu"};
		doOnEachKill = {
			{
				probability = 75; -- 0 to 100
				pushSystemChat = "<rgb=#FF0000>Vous parvenez à extraire la glande d'acide brûlant du drake sans la détruire.";
				completionIncCounter = 1; -- ... on compte ici ...
				completionIncMessage = "<rgb=#FF0000>Glandes extraites : ";
				giveItem = "SKRO_FR_FIRE_GLAND_2"
			}
		};
		onCompletion = {
			pushSystemChat = "<rgb=#00FF00>Vous avez trouvé 5 glandes.";
		};
		nextStep = "BACKAGAIN",
		};
		["BACKAGAIN"] = {
	objectif = "Détruisez les anneaux et apportez leurs restes à Glorfindel";
	steptype = "TARGET";
	tracker = "Glorfindel";
	successCondition = {
				requireItem = {itemid = "SKRO_FR_RING_DESTROYED", quantity = 5};
				pushSystemChat = "<rgb=#00FF00>\<Glorfindel\></rgb> Ne deviez-vous pas me rapporter les restes d'anneaux corrompus?";
				pushSplashMessage = "Glorfindel n'est pas satisfait.";
			};
	onCompletion = {
		pushSystemChat = "<rgb=#00FF00>\<Glorfindel\></rgb> >Merci |PLAYER|! Vous nous avez à nouveau beaucoup aidé. Mais je crains que d'autres anneaux soient encore dans les mains de l'Ennemi...";
		pushSplashMessage = "Glorfindel est satisfait. Mais d'autre anneaux restent à détruire...";
		removeItem = {{itemid = "SKRO_FR_RING_DESTROYED", quantity = 5}};
		accomplishDeed = "SKRO_FR_RINGBREAKER2";
	};
	nextStep = "END";
	}

	};
});
-- 

-- Deeds - EN

table.insert(DEEDS, {
	name = "Briseur d'anneaux";
	family = "Les anneaux mineurs";
	language = "FR"; -- supports "FR", "EN"
	uniqueID = "SKRO_FR_RINGBREAKER1";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/destru1.tga"; -- 100px x 100px
	description = "Vous avez aidé les elfes à détruire les anneaux d'Eriador.";
});
--
table.insert(DEEDS, {
	name = "Briseur d'anneaux corrompus";
	family = "Les anneaux mineurs";
	category = "Hidden deeds";
	uniqueID = "SKRO_FR_RINGBREAKER2";
	language = "FR"; -- supports "FR", "EN"
	unlockCout = 5; -- has to be execute 5 times to complete
	notifyProgress = false;
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/destru2.tga"; -- 100px x 100px
	description = "Vous avez aidé les elfes à détruire de nombreux anneaux corrompus d'Angmar.";
	visibility = false; -- hidden
});
--
table.insert(DEEDS, {
	name = "C'est ton Destin";
	family = "Les anneaux mineurs";
	category = "Hidden deeds";
	uniqueID = "SKRO_FR_RINGBREAKER3";
	language = "FR"; -- supports "FR", "EN"
	unlockCout = 5; -- has to be execute 5 times to complete
	notifyProgress = false;
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/prouesse-destin.tga"; -- 100px x 100px
	description = "Il n'était peut-être pas nécessaire d'aller jusqu'à la Montagne du Destin pour détruire un anneau mineur. Mais vous avez quand même essayé.";
	visibility = false; -- hidden
});
-- Items - EN
ITEMS["SKRO_FR_FIRE_GLAND"] = { -- unique id
	name = "Acide brûlant de drake";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/fire-gland.jpg"; -- 32px x 32px
	description = "Attention! Ca brûle";
	OnlyForCampaign = "Les anneaux mineurs";
};

ITEMS["SKRO_FR_FIRE_GLAND_2"] = { -- unique id
	name = "Acide brûlant de matriarche drake";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/powerful-fire-gland.jpg"; -- 32px x 32px
	description = "Attention! Ca brûle très fort!";
	OnlyForCampaign = "Les anneaux mineurs";
};

ITEMS["SKRO_FR_RING_DESTROYED"] = { -- unique id
	name = "Restes d'anneau";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-destroyed.jpg"; -- 32px x 32px
	description = "Les restes d'un anneau magiques, désormais inutilisables.";
	OnlyForCampaign = "Les anneaux mineurs";
};

ITEMS["SKRO_FR_RING_LOVER"] = { -- unique id
	name = "L'Anneau de l'Amant";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-lover.jpg"; -- 32px x 32px
	description = "Cet anneau magique est tiède au toucher.";
	OnlyForCampaign = "Les anneaux mineurs";
	unique = true;
	onCraft = {
		requireItem = "SKRO_FR_FIRE_GLAND";
		giveItem = "SKRO_FR_RING_DESTROYED";
		removeItem = {"SKRO_FR_FIRE_GLAND", "SKRO_FR_RING_LOVER"};
		pushSystemChat = "En versant de l'acide brûlant sur l'anneau, il se dissout."
		}
};

ITEMS["SKRO_FR_RING_BELOVED"] = { -- unique id
	name = "L'Anneau de l'Aimé";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-beloved.jpg"; -- 32px x 32px
	description = "Cet anneau magique est tiède au toucher.";
	OnlyForCampaign = "Les anneaux mineurs";
	unique = true;
	onCraft = {
		requireItem = "SKRO_FR_FIRE_GLAND";
		giveItem = "SKRO_FR_RING_DESTROYED";
		removeItem = {"SKRO_FR_FIRE_GLAND", "SKRO_FR_RING_BELOVED"};
		pushSystemChat = "En versant de l'acide brûlant sur l'anneau, il se dissout."
		}
};

ITEMS["SKRO_FR_RING_SWORD"] = { -- unique id
	name = "L'Anneau de l'Epée";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-sword.jpg"; -- 32px x 32px
	description = "Cet anneau magique est tiède au toucher.";
	OnlyForCampaign = "Les anneaux mineurs";
	unique = true;
	onCraft = {
		requireItem = "SKRO_FR_FIRE_GLAND";
		giveItem = "SKRO_FR_RING_DESTROYED";
		removeItem = {"SKRO_FR_FIRE_GLAND", "SKRO_FR_RING_SWORD"};
		pushSystemChat = "En versant de l'acide brûlant sur l'anneau, il se dissout."
		}
};

ITEMS["SKRO_FR_RING_SPEAR"] = { -- unique id
	name = "L'Anneau de la Lance";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-spear.jpg"; -- 32px x 32px
	description = "Cet anneau magique est tiède au toucher.";
	OnlyForCampaign = "Les anneaux mineurs";
	unique = true;
	onCraft = {
		requireItem = "SKRO_FR_FIRE_GLAND";
		giveItem = "SKRO_FR_RING_DESTROYED";
		removeItem = {"SKRO_FR_FIRE_GLAND", "SKRO_FR_RING_SPEAR"};
		pushSystemChat = "En versant de l'acide brûlant sur l'anneau, il se dissout."
		}
};

ITEMS["SKRO_FR_RING_BOW"] = { -- unique id
	name = "L'Anneau de l'Arc";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-bow.jpg"; -- 32px x 32px
	description = "Cet anneau magique est tiède au toucher.";
	OnlyForCampaign = "Les anneaux mineurs";
	unique = true;
	onCraft = {
		requireItem = "SKRO_FR_FIRE_GLAND";
		giveItem = "SKRO_FR_RING_DESTROYED";
		removeItem = {"SKRO_FR_FIRE_GLAND", "SKRO_FR_RING_BOW"};
		pushSystemChat = "En versant de l'acide brûlant sur l'anneau, il se dissout."
		}
};

ITEMS["SKRO_FR_RING_LOOKOUT"] = { -- unique id
	name = "L'Anneau de la Vigie";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-lookout.jpg"; -- 32px x 32px
	description = "Cet anneau magique est froid au toucher.";
	OnlyForCampaign = "Les anneaux mineurs";
	unique = true;
	onCraft = {
		requireItem = "SKRO_FR_FIRE_GLAND";
		giveItem = "SKRO_FR_RING_LOOKOUT_ACID";
		removeItem = {"SKRO_FR_FIRE_GLAND", "SKRO_FR_RING_LOOKOUT"};
		pushSystemChat = "L'acide des drakes semble n'avoir aucun effet sur cet anneau."
		}
};

ITEMS["SKRO_FR_RING_LOOKOUT_ACID"] = { -- unique id
	name = "L'Anneau de la Vigie";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-lookout-acid.jpg"; -- 32px x 32px
	description = "Cet anneau magique est froid au toucher. L'acide du drake a laissé quelques traces, mais l'anneau est presque intact.";
	OnlyForCampaign = "Les anneaux mineurs";
	unique = true;
};

ITEMS["SKRO_FR_RING_CORRUPT"] = { -- unique id
	name = "Anneau corrompu";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/ring-bow.jpg"; -- 32px x 32px
	description = "Cet anneau est glacial au toucher.";
	OnlyForCampaign = "Les anneaux mineurs";
	maxQuantity = 5;
	onCraft = {
		requireItem = {"SKRO_FR_FIRE_GLAND_2"};
		giveItem = "SKRO_FR_RING_DESTROYED";
		removeItem = {"SKRO_FR_FIRE_GLAND_2", "SKRO_FR_RING_CORRUPT"};
		pushSystemChat = "En versant de l'acide brûlant sur l'anneau, il se dissout."
		}
};

ITEMS["SKRO_FR_ARCHIVIST_PAPER"] = { -- unique id
	name = "Registre de l'Archiviste";
	picture = "WalmPlugins/YourOwnAdventures/scripts/LesserRings-pic/archive.jpg"; -- 32px x 32px
	description = "Ce registre contient de nombreuses informations sur les activités des Angmarim à Annuminas.";
	OnlyForCampaign = "Les anneaux mineurs";
	onLook = {pushDiaryMessage="-----------------------------\n9 d'Yvanneth - Nous avons découvert hier trois anneaux lors de nos excavations.\nIls doivent encore être testés. Il a donc été décidé de les séparer entre trois de nos hommes.\n Un anneau a été donné à Siridan, le second à Guldurchir, Et le troisième à Barberoi.\n[...]\n1er de Narbeleth - Barberoi et 50 hommes nous ont quittés. Une nouvelle relique a été découverte dans le grand Nord, et ils ont été missionnés pour aller étudier ce qu'il en est.";
	pushSystemChat = "En lisant le registre, vous découverez des informations sur les anneaux des défenseurs.\nIls ont été trouvés et séparés entre plusieurs chefs angmarim."};
	unique = true;
};