table.insert(ADVENTURES, {
	title = "MON NOM D'AVENTURE";
	family = "MON NOM DE CAMPAGNE D'AVENTURES";
	uniqueID = "WALM-TUTO0"; -- mendatory ; unique !!! (used for the saves)
	version = "1.0";
	language = "FR"; -- supports "FR", "EN"
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest"; -- show this message (and URL) when a player wants to share the quest
	levelMin = 10;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/testpicts/header_tuto.tga"; -- you can create your own banner for the quest selector dialog
	description = "Ceci est un tutoriel de jeu... bla bla bla"; -- adventure description seen in the adventure lancher
	loadingDiaryMessage = "Je passais tranquilement devant Bree au matin, quand Bill Boisderose m'interpela.";	-- first line in the adventure diary	
	steps = {
		["START"] = { -- the first step IS "START"
			objectif = "Trouvez et ciblez Bill Boisderose (Maître des écuries de Bree) ou Faramir"; -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker property
			tracker = {"Bill Boisderose", "Faramir"}; -- string or list of strings
			onLoading = {
				pushSplashMessage = "Let's start"; -- string or list of strings
			};
			onCompletion = {
				pushSystemChat = "<rgb=#00FF00>\<Bill Boisderose\></rgb> Bonjour l'ami ! ";
				pushSplashMessage = {"Bill vous parle pendant de longues minutes.\nDe très longues minutes.", "Le temps vous semble une éternité !"}; -- string or list of strings
				pushDiaryMessage = "Après m'avoir raconté sa vie, je pris congés de Bill."; -- line added in the diary
			};
			nextStep = "END"; -- Next step id or "END"
		};
	};
});