table.insert(ADVENTURES, {
	title = TRAD("Démo technique", "Technical Demo");
	family = "Tests techniques";
	uniqueID = "WALM-TECH-DEMO";
	language = "ALL"; 
	tech = true;
	canRestart = true;
	author = "Walm";
	description = TRAD("Ceci est une aventure de démonstration pour montrer toutes les fonctionalités du plugin.", "This is a basic adventure to show the plugin abilities");	
	loadingDiaryMessage = description;
	steps = {
		["START"] = {
			objectif = TRAD("Cliquez sur Bill Boisderose", "Select Bill Rosewood");
			steptype = "TARGET"; 
			tracker = TRAD("Bill Boisderose", "Bill Rosewood");
			onCompletion = {
				pushSystemChat = TRAD("\<<rgb=#00FF00>Bill Boisderose\></rgb> Bonjour l'ami !", "\<<rgb=#00FF00>Bill Rosewood\></rgb> Hey my friend !");
				pushSplashMessage = TRAD("Bill vous sourit", "Bill is smilling");
				pushDiaryMessage = TRAD("Oui, j'ai bien cliqué sur Bill !", "Yes, I selected Bill !");
			};
			nextStep = "TALK2"; 
		},			
		["TALK2"] = {
			objectif = TRAD("Cliquez sur Bill Boisderose", "Select Bill Rosewood");
			steptype = "TARGET"; 
			tracker = TRAD("Bill Boisderose", "Bill Rosewood");
			onCompletion = {
				pushSplashMessage = TRAD("Bill vous sourit... encore", "Bill is smilling... again !");
				pushDiaryMessage = TRAD("Et on peut aussi ajouter des images ...", "And we also can add pictures ...");
				pushDiaryPicture = {
					width=260; --max 260 
					height=200; 
					picture="WalmPlugins/YourOwnAdventures/scripts/testpicts/tuto_map.jpg";
				};
			};
			nextStep = "TALK3"; -- Next step id or "END"
		},	
		["TALK3"] = {
			objectif = TRAD("Parlez à Bill Boisderose", "Talk to Bill Rosewood");
			steptype = "TALKTREE";
			tracker = TRAD("Bill Boisderose", "Bill Rosewood");
			dials = {
				["START"] = {
				say=TRAD("Quel est mon nom ?", "What is my name ?");
				answers = {
					{pos=1, say=TRAD("Aucune idée", "No idea"); nextDial="2"; requireItem = "WALM-TECH8_ITEM3";},
					{pos=2, say="Bob ?!"; nextDial="2"},
					{pos=3, say="Bill"; nextStep = "SHIFUMI";},
					{pos=4, say="Waldo"; nextDial="2"},
					};
				},
				["2"] = {
				say=TRAD("Nonnnn.... Essaye encore !\nOù sommes nous ?", "Noooo… Try again !\nWhere are we ?");
				answers = {
					{pos=1, say="Bree"; nextStep="SHIFUMI";},
					{pos=2, say="Paris, France"; nextDial="2"},
					{pos=2, say="NYC, USA"; nextDial ="2"},
					{pos=3, say=TRAD("Pouvez vous me répéter la première question, s'il-vous-plait ?", "Can you repeat the first question ?"); nextDial = "START";}
					};
				},
			};
			onCompletion = {
				pushSystemChat = "<rgb=#00FF00><Bill> Congratulations !"; pushSplashMessage = "Congratulations !";	
			};
		},
		["SHIFUMI"] = {
			objectif = "Gagnez au ShiFuMi contre Bill";
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_pierre.jpg"; succesLuck = 10; name = "Pierre ?";description = "Vous gagnez contre des ciseaux...\nMais perdez contre une feuille...";
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00>Vous montrez une pierre...\nBill montre des ciseaux...\nBRAVO !";
						pushSplashMessage = "Vous montrez une pierre...\nBill montre des ciseaux...\nBRAVO !";
						nextStep = "KILL1";
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#FF0000>Vous montrez une pierre...\nBill montre une feuille...\nPERDU !";
						pushSplashMessage = "Vous montrez une pierre...\nBill montre une feuille...\nPERDU !";
					},
				},
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_papier.jpg"; succesLuck = 30; name = "Feuille ?";description = "Vous gagnez contre une pierre...\nMais perdez contre des ciseaux...";
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00>Vous montrez une feuille...\nBill montre une pierre...\nBRAVO !";
						pushSplashMessage = "Vous montrez une feuille...\nBill montre une pierre...\nBRAVO !";
						nextStep = "KILL1";
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#FF0000>Clic sur compétance Feuille";
						pushSplashMessage = "Vous montrez une feuille...\nBill montre des ciseaux...\nPERDU !";
			
					},
				},
				{
					picture = "YourOwnAdventuresScripts/testpicts/skill_ciseaux.jpg"; succesLuck = 90; name = "Ciseaux ?"; description = "Vous gagnez contre une feuille...\nMais perdez contre une pierre...";
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00>Vous montrez des ciseaux...\nBill montre une feuille...\nBRAVO !";
						pushSplashMessage = "Vous montrez des ciseaux...\nBill montre une feuille...\nBRAVO !";
						nextStep = "KILL1";
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#FF0000>Vous montrez des ciseaux...\nBill montre une pierre...\nPERDU !";
						pushSplashMessage = "Vous montrez des ciseaux...\nBill montre une pierre...\nPERDU !";
					},
				},
			},
		},
		["KILL1"] = { -- On compte les Kills
			objectif = "Tuer 2 animaux sauvages de l'ouest de Bree";
			count = 2;
			steptype = "KILL";
			timer = {
				seconds = 180; -- secondes max 5999
				nextStep = "FAIL",				
			},
			tracker = {"ours", "sanglier", "Ours", "Sanglier", "Main Blanche", "du Pays de Dun"};
			doOnEachKill = {
				{
					probability = 20; -- 0 to 100
					giveItem = "WALM-TECH8_ITEM3";
					pushSplashMessage = "Vous trouvez un TBD d'or !";	
					pushSystemChat = "<rgb=#FF0000>Vous trouvez un TBD d'or ! => loot aléatoire";
				},	
				{
					completionIncMessage = "<rgb=#FF0000>Ours tués : ";
				}
			};
			onCompletion = {
				pushSystemChat = "<rgb=#00FF00>BRAVO";
				pushSplashMessage = "BRAVO !";		
			};
			nextStep = {"PEAUX", "KILL_OURS", "KILL_SANG"},
		},
		["PEAUX"] = {
			objectif = "Récupérez 3 peaux parfaites sur ces animaux";
			count = 3;
			doNotCountKills = true; -- On ne compte pas les kills...
			steptype = "KILL";
			tracker = {"ours", "sanglier", "Ours", "Sanglier", "Main Blanche", "du Pays de Dun"};
			doOnEachKill = {
				{
					probability = 60; -- 0 to 100
					pushSplashMessage = "Vous trouvez une peau parfaite !";	
					pushSystemChat = "<rgb=#FF0000>Vous trouvez une peau parfaite ! => loot aléatoire, on incrémente le compteur";
					completionIncCounter = 1; -- ... on compte ici ...
					completionIncMessage = "<rgb=#FF0000>Peaux trouvées : ";
				}
			};
			onCompletion = {
				pushSystemChat = "<rgb=#00FF00>BRAVO";
				pushSplashMessage = "BRAVO !";	
			};
			nextStep = "END",
		},
		["KILL_OURS"] = {
			objectif = "Tuer 3 ours";
			count = 3;
			steptype = "KILL";
			tracker = {"ours", "Ours", "Main Blanche"};
			doOnEachKill = {
				{
					completionIncMessage = "<rgb=#FF0000>Ours tués : ";
				}
			};	
			nextStep = "END",
		},	
		["KILL_SANG"] = {
			objectif = "Tuer 3 sangliers";
			count = 3;
			steptype = "KILL";
			tracker = {"sanglier", "Sanglier", "du Pays de Dun"};
			doOnEachKill = {
				{
					completionIncMessage = "<rgb=#FF0000>Sangliers tués : ";
				}
			};	
			nextStep = "END",
		}			
	};
});

